var page=1,limit=10,imageList=[];
apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
	page=1;
    api.showProgress();
    getData();
    //renderSlide(slideCallBack);
    //renderList(listCallBack);
    api.parseTapmode();
    api.hideProgress();
	var page_box = $api.byId('list-content');
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        $('#J_tab_insect').html('示范作物');
        $('#J_tab_type').html('全部产品');
        $('#J_type').val(0);
        $('#J_crop').val('');
        $("#search-input").val('');
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
		page++;
        searchExperiment(page);
    });
}
function getData(){
	var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;

	if(page){
		param.p = page;
	}

    ajaxRequest(API_URL.experiment, 'post', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;
			listCallBack(data.list);
        }else{
	        if(page == 1){
	        	$api.html($api.byId('list-content'),'');
	        }
	        showTipMsg(ret.msg);
        }
    });
}
function listCallBack(data){
    if(page==1){
        imageList = [];
    }
    for(var m in data){
        for(var n in data[m].img){
            img = data[m].img[n];
            imageList.push(img);
        }
    }
	var content = $api.byId('list-content');
	var tpl = $api.byId('list-template').text;
	var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html($api.byId('list-content'),'');
		$api.html(content,tempFn(data));
    } else {
		$api.append(content,tempFn(data));
    }
}

function doSearch() {
    $api.addCls($api.dom(".aui-searchbar-wrap"), "focus");
    $api.dom('.aui-searchbar-input input').focus();
}
function cancelSearch() {
    $api.removeCls($api.dom(".aui-searchbar-wrap.focus"), "focus");
    $api.val($api.byId("search-input"), '');
    $api.dom('.aui-searchbar-input input').blur();
    searchExperiment(1);
}
function clearInput() {
    $api.val($api.byId("search-input"), '');
}

function searchExperiment(_page){
    var param = {};
    var keyword = $("#search-input").val();
    param.keyword = keyword;
    param.crop = $("#J_crop").val();
    param.type = $("#J_type").val();

    $api.dom('#search-input').blur();
    $api.val($api.byId("search-input"), keyword);
    page = _page;
    param.p = page;

    ajaxRequest(API_URL.experiment, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            listCallBack(data.list);
            if(data.list.length==0){
                $api.removeCls($api.byId('noContent'), "aui-hidden");
            }
        }else{
            if(_page == 1){
                $api.html($api.byId('list-content'),'');
            }
            showTipMsg(ret.msg);
        }
    });
}

function openInteract(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {experimentId: id}
    });
}

//点赞
function doPraise(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;
    param.experimentId = id;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            var num = $('#show_'+id).html();
            if(data.id){
                $api.addCls($api.byId('get_'+id), "active-info");
                num++;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).addClass('aui-text-info');

            }else{
                $api.removeCls($api.byId('get_'+id), "active-info");
                num--;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).removeClass('aui-text-info');
            }
            api.toast({msg: ret.msg, location: 'middle'});
        }else{
            showTipMsg(ret.msg);
        }
    });
}

//发示范
function openAllEditExp(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'product-edit',
        url: 'product-edit.html',
        pageParam: {}
    });
}

function openPhotoBrowser(i){
    var photoBrowser = api.require('photoBrowser');
    photoBrowser.open({
        "images": imageList,
        "activeIndex": i,
        "placeholderImg": "widget://image/photoBrowser.png",
        "bgColor": "#000"
    }, function(ret, err){
        if( ret ){
            if(ret.eventType=='click'){
                photoBrowser.close();
            }else if(ret.eventType=='longPress'){
                photoBrowser.getIndex(function(ret, err){
                    if( ret ){
                        photoBrowser.getImage({
                            index: ret.index
                        }, function(ret, err){
                            if( ret ){
                                api.saveMediaToAlbum({
                                    path: ret.path
                                }, function(ret, err){
                                    if( ret.status ){
                                        api.toast({
                                            msg: "图片保存成功",
                                            duration:2000,
                                            location: 'middle'
                                        });
                                    }
                                });
                            }
                        });
                    }
                });
            }
        }else{
            //alert( JSON.stringify( err ) );
        }
    });
}

$('#list-content').on("click", '.cha-shifan-bd img', function(e){
    i=$(this).index(".cha-shifan-bd img");
    openPhotoBrowser(i);
});