var experimentId,imageList,page=1,limit=10;
var shareDesc,shareCover;
apiready = function(){
    experimentId = api.pageParam.experimentId;
	if(!experimentId){
        api.alert({
            msg:('非法示范ID')
        });
	}

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
	    $('#J_share_3rd_title').css('display', 'block');
	    $('#J_share_3rd_cell').css('display', 'block');
    }

    api.parseTapmode();
    render();
    setRefreshHeader();
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p){
	page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
	var param = {};

    winduid = $api.getStorage('uid');
	if(winduid){
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;
	}

	param.experimentId = experimentId;

	if(page){
		param.p = page;
	}

    ajaxRequest(API_URL.experimentDetail, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//信息
			infoCallBack(data.info);

			imageList = data.imageList;

			//通知parent
			//noticeParent(data.fname);
        }else{
	        showTipMsg(ret.msg);
        }
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));
	winduid = $api.getStorage('uid');
	if(data.auth_type==2 && data.authid==winduid){
		$('#del_exp').removeClass('aui-hide');
	}
    //$api.text($api.byId('J_experiment_num'), data.experiment_num); //示范数
    $api.text($api.byId('J_comment_num'), data.comment_num); //评论数

	if(data.is_praise == 1){
		$api.addCls($api.byId('J_praise'), "active-info");
		$api.html($api.byId('J_praise_name'), "已点赞");
	}
	if(data.is_collect == 1){
		$api.addCls($api.byId('J_collect'), "active-info");
		$api.html($api.byId('J_collect_name'), "已收藏");
	}
}
function noticeParent(fname){
	//通知上层框架以更新评论和点赞数
	api.execScript({
		script: 'receiveChild("'+fname+'");'
	});
}
function openInteract(){
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {experimentId: experimentId}
    });
}
//分享弹出框
function showPop(title,cname){
	shareDesc = cname ? title + '-' + cname : title;
	shareCover = 'http://cha.191.cn/logo-300.png'; //分享图标
    api.openFrame({
        name: 'share',
        url: 'share.html',
        pageParam: {experimentId: experimentId, desc:shareDesc, icon:shareCover},
        rect:{
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bounces: true,
        //vScrollBarEnabled: false
    });
}

//点赞
function doPraise(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

	param.experimentId = experimentId;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
			var data = ret.data;

	        if(data.id){
				$api.addCls($api.byId('J_praise'), "active-info");
				$api.html($api.byId('J_praise_name'), "已点赞");
	        }else{
				$api.removeCls($api.byId('J_praise'), "active-info");
				$api.html($api.byId('J_praise_name'), "点赞");
	        }

			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				//$('#J_item_'+applyId).remove();
			}, 1000);
        }else{
	        showTipMsg(ret.msg);
        }
    });
}
function openPhotoBrowser(i){
	var photoBrowser = api.require('photoBrowser');
	photoBrowser.open({
	    "images": imageList,
	    "activeIndex": i,
	    "placeholderImg": "widget://image/photoBrowser.png",
	    "bgColor": "#000"
	}, function(ret, err){
	    if( ret ){
	        if(ret.eventType=='click'){
	        	photoBrowser.close();
	        }else if(ret.eventType=='longPress'){
	        	photoBrowser.getIndex(function(ret, err){
				    if( ret ){
						photoBrowser.getImage({
						    index: ret.index
						}, function(ret, err){  
						    if( ret ){
						    	api.saveMediaToAlbum({
							    path: ret.path
							}, function(ret, err){ 
							    if( ret.status ){
									api.toast({
										msg: "图片保存成功",
										duration:2000,
										location: 'middle'
									});
							    }
							});
						    }
						});
				    }
				});
	        }
	    }else{
	        //alert( JSON.stringify( err ) );
	    }
	});
}
$('#info-content').on("click", 'img', function(e){
	i=$(this).index('img');
	openPhotoBrowser(i);
});


function doCollect(id,title){
	winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

	param.type = 2;//1产品2示范//11农药 12肥料 13微生物肥 14种子
	param.uid = winduid;
	param.experimentId = id;
	param.experiment_title = title;


	ajaxRequest(API_URL.doCollect, 'post', param, function(ret, err){
		if(ret.status == 0){
			var data = ret.data;

			if(data.id){
				$api.addCls($api.byId('J_collect'), "active-info");
				$api.html($api.byId('J_collect_name'), "已收藏");

			}else{
				$api.removeCls($api.byId('J_collect'), "active-info");
				$api.html($api.byId('J_collect_name'), "收藏");
			}

			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				//$('#J_item_'+applyId).remove();
			}, 1000);
		}else{
			showTipMsg(ret.msg);
		}
	});
}
