﻿//previous page id, current page id
var prevPid = '', curPid = '';
var quanFid = '';
//save opened frame name
var frameArr = [],scrollEnabled=false;
apiready = function(){
    api.setStatusBarStyle({
        style: 'light',
        color:'#ffffff'
    });
    api.parseTapmode();
    var header = $api.byId('aui-header');
    $api.fixStatusBar(header);
    var headerPos = $api.offset(header);
    var body_h = $api.offset($api.dom('body')).h;
    var footer_h = $api.offset($api.byId('aui-footer')).h;

    if(api.systemType=='android'){
    	scrollEnabled=true;
    }
    api.openFrameGroup({
        name: 'footer_tab',
        scrollEnabled:scrollEnabled,
        rect:{x:0, y:headerPos.h, w:'auto', h:body_h - headerPos.h - footer_h},
        index:0,
        preload:0,
        frames:
        [{
            name: 'home',
            url: './home.html',
            bounces:false
        },{
            name: 'search',
            url: './search.html',
            bounces:false
        },{
            name: 'ucenter',
            url: './ucenter.html',
            bounces:true
        }]
    }, function(ret, err){
        var footer = $api.byId('aui-footer');
        var footerAct = $api.dom(footer, '.aui-bar-tab li.active-info');
        $api.removeCls(footerAct, 'active-info');
        var name = ret.name;
        var index = ret.index;

        $('#aui-header>div').css('display', 'none');

        if(index==0){
            $('#J_home').css('display', 'block');
            $api.addCls($api.byId('tabbar1'), 'active-info');
        }else if(index==1){
            $('#J_search').css('display', 'block');
            $api.addCls($api.byId('tabbar2'), 'active-info');
        }else if(index==2){
            $('#J_ucenter').css('display', 'block');
            $api.addCls($api.byId('tabbar3'), 'active-info');
        }
    });

//     $api.addEvt($api.byId('back'), 'click', function(){
//         api.closeWin();
//     });

	render();

};
function randomSwitchBtn(obj, index){//obj废弃
    var footer = $api.byId('aui-footer');
    var footerAct = $api.dom(footer, '.aui-bar-tab li.active-info');
    $api.removeCls(footerAct, 'active-info');
    _obj=$('.aui-bar-tab li').eq(index);
    $api.addCls(_obj, 'active-info');
    api.setFrameGroupIndex({
        name: 'footer_tab',
        index: index
    });
}
//用于3Dtouch菜单领样品
function openIndexTrial() {
    api.openWin({
        name: 'trialList',
        url: 'trialList.html',
        pageParam: {}
    });
}
//用于3Dtouch菜单发效果
function openIndexEdit() {
    api.openWin({
        name: 'product-edit',
        url: 'product-edit.html',
        pageParam: {}
    });
}

function render(){
    //getData();
}
function getData(){
	var connectionType = api.connectionType;
	if(connectionType == 'none'){
        api.toast({msg: '当前网络连接不通', location: 'middle'});
		return;
	}

	var param = {};
    ajaxRequest(API_URL.index, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;
        	var config = data.config;
			configCallBack(data.config);
        }else{
	        showTipMsg(ret.msg);
        }
    });
}
function configCallBack(data){
	$('#title1').html(data.site_name);
	$('#title3').html(data.quan_name);
	$('#J_tab_circle').html(data.quan_name);
	//quanFid = data.quan_fid;

	//朋友圈名字
	//$api.setStorage('quanName', data.quan_name);
}
//frame whether open
function isOpened(frmName){
    var i = 0, len = frameArr.length;
    var mark = false;
    for(i; i<len; i++){
        if(frameArr[i] === frmName){
            mark = true;
            return mark;
        }
    }
    return mark;
}

//toggle header
function showHeader(type){
    if(!type){return;}
    var header = $api.dom('#header .active');
    $api.removeCls(header,'active');
    var thisHeader = $api.dom('#header .'+type);
    $api.addCls(thisHeader,'active');
}

//open tab
function openTab(type,tid){
    if(type === 'home'){
		api.execScript({
			frameName: 'home',
			script: 'render();'
		});
	}
    if(type === 'ucenter'){
    	//login
	    var winduid = $api.getStorage('uid');
		if(!winduid){
			api.openWin({
		        name: 'userLogin',
		        url: './html/userLogin.html',
		        opaque: true,
		        vScrollBarEnabled:false
		    });
		    return;
		}
    }

    showHeader(type);
    var width = api.winWidth;
    var nav = $api.byId('nav');
    var navPos = $api.offset(nav);
    var header = $api.byId('header');
    var headerPos = $api.offset(header);
    var height = api.winHeight - navPos.h - headerPos.h;
	//var height = api.winHeight - navPos.h;

    type = type || 'home';

    var actTab = $api.dom('#nav .active');
    $api.removeCls(actTab,'active');
    var thisTab = $api.dom('#nav .'+ type);
    thisTab = thisTab.parentNode;
    $api.addCls(thisTab,'active');

    //record page id
    prevPid = curPid;
    curPid = type;
    if(prevPid !== curPid){
        // alert(type+':'+isOpened(type));
        if(isOpened(type)){
            //api.setFrameAttr({
            //    name: type,
            //    hidden: false
            //});
        }else{
			//alert(height)
            api.openFrame({
                name: type,
                url: './html/'+ type +'.html',
                bounces: true,
                opaque: true,
                vScrollBarEnabled: false,
                //pageParam:{ headerHeight: headerPos.h,tid:tid},
				//pageParam: {navHeight: navPos.h},
                rect: {
                    x: 0,
                    y: headerPos.h,
                    w: width,
                    h: height
                }
            });
        }

        // if(prevPid){
            // api.setFrameAttr({
                // name: prevPid,
                // hidden: true
            // });
        // }

        // if(!isOpened(type)){
            // //save frame name
            // frameArr.push(type);
        // }
    }
}

//search activity
var searchActOpened = false;

// function closeFramGroup(){
    // api.closeFrameGroup({
        // name: 'searchAct'
    // });

    // var actLi = $api.dom('#header .activity li.active');
    // $api.removeCls(actLi,'active');
    // searchActOpened = false;
// }
function openCirclePublish(){
	var fid = quanFid;
    api.openWin({
        name: 'circlePublish',
        url: './circlePublish.html',
        pageParam: {fid: fid}
    });
}
function scan(){
	var obj = api.require('scanner');
	obj.open(function(ret,err) {
		var resUrl = ret.msg;
		if(!resUrl){return;}

		if(resUrl.indexOf(cSiteUrl+'/m/read.php?tid=') == 0){
			var tid = resUrl.substr(36);
			api.openWin({
				name: 'read',
				url: './read.html',
				pageParam: {tid: tid}
			});
		}else{
			api.openApp({
				iosUrl: resUrl,
				androidPkg: 'android.intent.action.VIEW',
				mimeType: 'text/html',
				uri: resUrl
			}, function (ret, err) {

			});
		}

	});
}
//打开侧边栏
function openSlide(){
	api.openSlidPane({type:'left'});
}
//高级查询
function openSearchAdvance(){
    api.openWin({
        name: 'searchAdvance',
        url: './searchAdvance.html'
    });
}