/* =============================================
 * v20150701
 * =============================================
 * Copyright 赵君
 *
 * 选择照片
 * ============================================= */

var winName,objid,isClip;
var vmList = [];
var aFiles = [];
var per = 20; //每页显示多少张照片
var UIMediaScanner;

apiready = function(){
    winName = api.pageParam.winName;
    objid = api.pageParam.objid;
    isClip = api.pageParam.isClip;

	if(!winName){
		api.alert({msg:'非法 winName'});
	}
	if(!objid){
		api.alert({msg:'非法 objid'});
	}

    var header = $api.byId('header');
    $api.fixIos7Bar(header);

	UIMediaScanner = api.require('UIMediaScanner');
	UIMediaScanner.scan({
		type: 'picture',
		count: per,
		sort: {
			key: 'time',
			order: 'desc'
		}
	}, function(ret){
		if(ret){
			//alert(JSON.stringify(ret.list));
			//$api.byId('text').innerHTML = JSON.stringify(ret.list);
			loadListInit(ret.list, 1);
		}
	});
	api.addEventListener({
		name: 'scrolltobottom'
	}, function(){
		UIMediaScanner.fetch(function(ret){
			//alert(JSON.stringify(ret.list));
			loadListInit(ret.list, 2);
		});
	});
};
//选择照片
//alert('path:'+path+';size:'+size+';suffix:'+suffix);
//path:/storage/emulat/0/DCIM/photos/QQ20150808@2x.png
$('#list-content').on("click",'li.inview',function(){
// 	if($(this).hasClass('selected')){
// 		$(this).removeClass('selected');
//
// 		var path = $(this).data('path');
// 		for(var one in aFiles){
// 			var item = aFiles[one];
// 			if(item.path==path){
// 				item.selected = false;
// 			}
// 		}
// 	}else{
		//$(this).addClass('selected');

		var path = $(this).data('path');
		var size = $(this).data('size');
		var suffix = $(this).data('suffix');
		var name = path.substring(path.lastIndexOf('/')+1);

 		var flag = 1;
// 		for(var one in aFiles){
// 			var item = aFiles[one];
// 			if(item.path==path){
// 				item.selected = true;
// 				flag = 0;
// 			}
// 		}
		if(flag){
// 			var fileInfo = {
// 				'path' : path,
// 				'name' : name,
// 				'size' : size,
// 				'suffix' : suffix,
// 				'selected' : true,
// 			};
			//aFiles.push(fileInfo);

			//选择照片后
			//将相册图片地址转换为可以直接使用的本地路径地址（临时文件夹的绝对路径），相册图片会被拷贝到临时文件夹，APP重启时临时文件会被自动删除。
			//alert(path);
			//UIMediaScanner = api.require('UIMediaScanner');

			//将相册图片地址转换为可以直接使用的本地路径地址（临时文件夹的绝对路径），相册图片会被拷贝到临时文件夹，APP重启时临时文件会被自动删除。
			UIMediaScanner.transPath({
			   path: path
			}, function( ret, err ){
				var filePath = ret.path;
				//alert('图片地址：'+filePath);
				if(isClip==1){
					openImageClip(filePath, winName, objid); //选择照片后，在Frame中打开裁剪页面
				}else{
					var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
					var fileType = 'jpg';
					var fileSize = '100';
					h5uploadOne(objid, filePath, fileName, fileType, fileSize);
				}
			});

// 			var sJs = JSON.stringify(newFiles);
// 			api.execScript({
// 				name: winName,
// 				script: 'doUploadPic('+sJs+');'
// 			});
// 			api.closeWin();

		}
});
//在Frame中打开裁剪页面
function openImageClip(path, winName, objid){
	api.openFrame({
		name : 'imageClip',
		url : 'imageClip.html',
		pageParam: {path:path, winName:winName, jumpName:'mediaClip', objid:objid},
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		bounces : false,
		opaque : false,
		bgColor : 'rgba(0,0,0,0.0)'
	});
}

function h5uploadOne(objid, filePath, fileName, fileType, fileSize){
	//alert('mediaClip - h5uploadOne');
	api.execScript({
		name: 'enter',
		//frameName: 'userProfile-con',
		script: 'h5uploadOne("'+objid+'","'+filePath+'","'+fileName+'","'+fileType+'","'+fileSize+'");'
	});
	api.closeWin();
}
//选择完成
// function done(){
// 	var newFiles = [];
// 	var i = 0;
// 	for(var one in aFiles){
// 		i++;
// 		//alert(i);
// 		var item = aFiles[one];
// 		if(item.selected==true){
// 			newFiles.push(item);
// 		}else{
// 			//aFiles.unshift(item);
// 		}
// 	}
// 	//alert(JSON.stringify(newFiles));
//
// 	var sJs = JSON.stringify(newFiles);
// 	api.execScript({
// 		name: winName,
// 		script: 'doUploadPic('+sJs+');'
// 	});
// 	api.closeWin();
// }

function loadListInit(data, page) {
	if(data.count==0){
		return;
	}

// 	if(data.count > 9){
// 		api.alert('上传图片不能超过9张');
// 	}

	//alert(JSON.stringify(data));

	var newSort = sortData(data);

	var content = $api.byId('list-content');
	var tpl = $api.byId('list-template').text;
	var tempFn = doT.template(tpl);
	$api.append(content,tempFn(newSort));

	var aList = data;
	if (aList.length) {
		if (page === 1) {
			vmList = aList;
		} else {
			vmList = vmList.concat(aList);
		}
	}
	// 排除视频文件
	//var aListTmp = [];
	//var thumbnails = '';
	//$.each(data, function(i, one) {
		//alert(one.thumbPath);
    //});
}
function sortData(data) {
	var newArr = new Array();

	for(var i in data){
		var item = data[i];
		var date = item.time.substr(0, 10);

		var flag = 1;
		for(var j in newArr){
			var oTmpJ = newArr[j];
			if(oTmpJ.date == date){
				flag = 0;
			}
		}
		if(flag == 1){
			var oDate = {
				date:date,
			};
			newArr.push(oDate);
		}

		//新增
		// var items = new Array(item);
		// var oDate = {
			// date:date,
			// items:items,
		// };
		// newArr.push(oDate);
		//newArr[i][j] = item;
	}
	//alert(newArr);

	for(var i in newArr){
		var item = newArr[i];
		var date = item.date;

		//去data里面循环找
		var tItems = new Array();
		for(var j in data){
			var itemD = data[j];
			if(itemD.time.substr(0, 10) == date){
				tItems.push(itemD);
			}
		}
		//alert(JSON.stringify(tItems));
		item.items = tItems;
	}

	//alert(JSON.stringify(newArr));

	// var dateArr = new Array();
	// var dateNum = 0;
	// for(var i in data){
		// var item = data[i];
		// var date = item.time.substr(0, 10);

		// //var pArray = new Array();
		// //pArray.push(item);
		// //tArray[date] = pArray;
		// //tArray[date].push(item);
		// var flag = 1;
		// for(var j in dateArr){
			// if(dateArr[j] == date){
				// flag = 0;
			// }
		// }
		// if(flag){
			// dateArr[dateNum] = date;
			// dateNum++;
		// }
		// newArr[i] = item;
	// }
	return newArr;
}