var orderId,page=1,limit=10;

apiready = function(){
	orderId = api.pageParam.orderId;
	if(!orderId){
        api.alert({
            msg:('非法订单ID')
        });
	}

    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

	param.orderId = orderId;

    ajaxRequest(API_URL.orderInvoice, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//信息
			infoCallBack(data.info);

			$api.html($api.byId('J_contract'),data.contract);
        }else{
	        showTipMsg(ret.msg);
        };
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));
}
//提交
function doSubmit(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

    api.showProgress();

	var ciphertext = $api.getStorage('loginUser'); //用户uid加密

	var invoice_type = $api.val($api.dom("input[name='invoice-type']:checked"));
    var contact = $api.byId('contact').value;
    var address = $api.byId('address').value;
    var mobile = $api.byId('mobile').value;
    var tax_no = $api.byId('tax_no').value;
    var bank_name = $api.byId('bank_name').value;
    var bank_account = $api.byId('bank_account').value;

    var param = { //参数
		des : ciphertext,
		orderId : orderId,
		invoice_type : invoice_type,
		contact : contact,
        address : address,
        mobile : mobile,
        tax_no : tax_no,
        bank_name : bank_name,
        bank_account : bank_account,
    };

    ajaxRequest(API_URL.doOrderInvoice, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'ucenter',
					script: 'render();'
				});
				api.closeWin();
			}, 1000);
        }else{
	        showTipMsg(ret.msg);
        };
        api.hideProgress();
    })
}
function selectPutong(){
	$api.addCls($api.byId("J_zengzhi"), "aui-hide");
}
function selectZengzhi(){
	$api.removeCls($api.byId("J_zengzhi"), "aui-hide");
}