var product_id,page=1,limit=10,imageList=[];
var productName;
apiready = function(){
    product_id = api.pageParam.product_id;
	if(!product_id){
        api.alert({
            msg:('非法产品ID')
        });
	}

    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
	    $('#J_share_3rd_title').css('display', 'block');
	    $('#J_share_3rd_cell').css('display', 'block');
    }
};
function render(){
    api.showProgress();
    getDataExperiment(page);
    api.hideProgress();
}
function goPage(page){
    api.showProgress();
    getDataExperiment(page);
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getDataExperiment(){
    var param = {};

    winduid = $api.getStorage('uid');
    if(winduid){
        var ciphertext = $api.getStorage('loginUser');
        param.des = ciphertext;
    }
    param.product_id = product_id;

    if(page){
        param.p = page;
    }

    ajaxRequest(API_URL.productDetailExperiment, 'get', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            if(data.comInfo.product_name){
                var _name = data.comInfo.product_name;
                api.execScript({
                    name: 'productDetail',
                    script: 'setTitle("' + _name + '");'
                });
            }
            infoCallBack(data.info,data.comInfo,data.activeInfo,data.experiment_num);
            for(var m in data.info){
                for(var n in data.info[m].img){
                    img = data.info[m].img[n];
                    imageList.push(img);
                }
            }
        }else{
            showTipMsg(ret.msg);
        }
    });
}

function infoCallBack(data,comInfo,activeInfo,experiment_num){
    winduid = $api.getStorage('uid');
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
		$api.html(content,tempFn(data));
        if(activeInfo.active_title){
            $api.removeCls($api.byId('J_active_1'), "aui-hidden");
            $('#avtiveId_1').val(activeInfo.active_id); //活动id
            $api.text($api.byId('activeTitle_1'), activeInfo.active_title); //活动标题
        }
        if(activeInfo.ifactive==1){
            $api.removeCls($api.byId('J_active_2'), "aui-hidden");
            $api.text($api.byId('activeTitle_2'), '查看往期活动');
        }
		//$api.text($api.byId('J_experiment_num'), experiment_num); //示范数
        if(experiment_num == 0){
            $api.removeCls($api.byId('noContent'), "aui-hidden");
        }
        $('#J_proName').val(comInfo.name);
    } else {
		$api.append(content,tempFn(data));
    }

    //该产品发布者置顶
    if(winduid == comInfo.authid){
        $('.istop').css('display','block');
    }
    $("#all").on('click',function(){
        $("#all").addClass('active');
        $("#order").removeClass('active');
        $('#J_order').css('display', 'none');
        $('#J_all').css('display', 'block');
    });
}
function getOrderList(){
    ajaxRequest(API_URL.praiseOrderList, 'get', {product_id:product_id}, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            if(data) {
                var leng = data.list.length;
                orderListCallBack(data.list,leng);
            }
            //分页
            if(data.total){
                pageCallBack(data.total);
            }
        }else{
            showTipMsg(ret.msg);
        }
    });
}
function orderListCallBack(data,leng){
    var content = $api.byId('order-content');
    var tpl = $api.byId('order-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content,tempFn(data));
        if(leng == 0){
            $api.removeCls($api.byId('noPraise'), "aui-hidden");
        }
    } else {
        $api.append(content,tempFn(data));
    }
    $("#order").addClass('active');
    $("#all").removeClass('active');
    $('#J_order').css('display', 'block');
    $('#J_all').css('display', 'none');
}

function pageCallBack(total){
	var page_box = $api.byId('page_box');
	$api.html(page_box,initPage(total, page));
}
function noticeParent(fname){
	//通知上层框架以更新评论和点赞数
	api.execScript({
		script: 'receiveChild("'+fname+'");'
	});
}

//活动详情
function openActiveRule(){
    var active_id = $('#avtiveId_1').val();
    var activeTitle = $('#activeTitle_1').html();
    api.openWin({
        name: 'product-rule',
        url: 'product-rule.html',
        pageParam: {active_id: active_id,active_title:activeTitle,product_id:product_id}
    });
}
//发示范
function openEditExper(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    var active_id = $('#avtiveId_1').val();
    var product_name = $('#J_proName').val();
    var activeTitle = $('#activeTitle_1').html();
    api.openWin({
        name: 'product-edit',
        url: 'product-edit.html',
        pageParam: {product_id: product_id,active_id: active_id,active_title:activeTitle,product_name:product_name}
    });
}
//只看作者
function lookAuth(authid){
    api.openWin({
        name: 'productExample',
        url: 'productExample.html',
        pageParam: {authid:authid,product_id:product_id}
    });
}
//置顶示范
function setTop(id){
    ajaxRequest(API_URL.setTop, 'get', {experimentId: id}, function(ret, err){
            if(ret.status=='success') {
                showTipMsg(ret.msg);
                getDataExperiment();
            }else{
                showTipMsg(ret.msg);
        }
    });
}
function removeTop(id){
    ajaxRequest(API_URL.removeTop, 'get', {experimentId: id}, function(ret, err){
        if(ret.status=='success') {
            showTipMsg(ret.msg);
            getDataExperiment();
        }else{
            showTipMsg(ret.msg);
        }
    });
}

function openInteract(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {experimentId: id}
    });
}
//分享弹出框
function showPop(id,title) {
    var comName = $('#J_comName').val();

    shareDesc = comName ? title + '-' + comName : title;
    shareCover = 'http://cha.191.cn/logo-300.png'; //分享图标
    api.openFrame({
        name: 'share',
        url: 'share.html',
        pageParam: {experimentId: id, desc: shareDesc, icon: shareCover},
        rect: {
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bounces: true
        //vScrollBarEnabled: false
    });
}

//点赞
function doPraise(id){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;
    param.experimentId = id;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
	        var data = ret.data;
            var _username = $api.getStorage('username');
            var num = $('#show_'+id).html();

            var obj= $('.J_showpra_'+id).parent().next();
            var _txt = obj.find('.cha-interact-hd').find('.J_praiseList_'+id);
	        if(data.id){
				$api.addCls($api.byId('get_'+id), "active-info");
                num++;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).addClass('aui-text-info');
                obj.removeClass('aui-hidden');
                obj.find(".cha-interact-hd").removeClass('aui-hidden');

                if(_txt.text().trim()==''){
                    _txt.text(_username);
                }else{
                    _txt.text(_username+'、'+_txt.text());
                }
	        }else{
				$api.removeCls($api.byId('get_'+id), "active-info");
                num--;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).removeClass('aui-text-info');
                if(_txt.text()==''){
                    _txt.text('');
                }else{
                    var str = _txt.text();
                    var _name = str.replace(_username+'、','');
                    _name = _name.replace('、'+_username,'');
                    _name = _name.replace(_username,'');
                    if(_name.trim()){
                        _txt.text(_name);
                    }else{
                        obj.find(".cha-interact-hd").addClass('aui-hidden');
                        var _leng = obj.find(".cha-interact-ul").children().length;
                        if(_leng==0){
                            obj.addClass('aui-hidden');
                        }
                    }
                }
	        }
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				//$('#J_item_'+applyId).remove();
			}, 1000);
        }else{
	        showTipMsg(ret.msg);
        }
    });
}
//显示只看作者和分享ta的
function showcChatoast(id){
    $api.css($api.byId("chatoast_"+id),"display:block");
    setTimeout(function(){
        $api.css($api.byId("chatoast_"+id),"display:none");
    },2000);
}

//打开往期活动
function openActiveOrder(){
    api.openWin({
        name: 'product-rule-past',
        url: 'product-rule-past.html',
        pageParam: {product_id: product_id}
    });
}

function openPhotoBrowser(i){
    var photoBrowser = api.require('photoBrowser');
    photoBrowser.open({
        "images": imageList,
        "activeIndex": i,
        "placeholderImg": "widget://image/photoBrowser.png",
        "bgColor": "#000"
    }, function(ret, err){
        if( ret ){
            if(ret.eventType=='click'){
                photoBrowser.close();
            }else if(ret.eventType=='longPress'){
                photoBrowser.getIndex(function(ret, err){
                    if( ret ){
                        photoBrowser.getImage({
                            index: ret.index
                        }, function(ret, err){
                            if( ret ){
                                api.saveMediaToAlbum({
                                    path: ret.path
                                }, function(ret, err){
                                    if( ret.status ){
                                        api.toast({
                                            msg: "图片保存成功",
                                            duration:2000,
                                            location: 'middle'
                                        });
                                    }
                                });
                            }
                        });
                    }
                });
            }
        }else{
            //alert( JSON.stringify( err ) );
        }
    });
}

$('#list-content').on("click", '.cha-shifan-bd img', function(e){
    i=$(this).index(".cha-shifan-bd img");
    openPhotoBrowser(i);
});


