var page=1,limit=10;
var allow_scroll=0;
apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    //getSelectData();
    api.parseTapmode();
    api.hideProgress();
}
function goPage(p){
	page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
		page++;
		getData();
        //getSelectData();
    });
}
function getData(){
	var param = {};
    winduid = $api.getStorage('uid');
	if(winduid){
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;
	}
	if(page){
		param.p = page;
	}
    ajaxRequest(API_URL.trialList, 'post', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;
			listCallBack(data.list);

        }else{
	        if(page == 1){
	        	$api.html($api.byId('list-content'),'');
	        }
	        showTipMsg(ret.msg);
        }
    });
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content,tempFn(data));
    } else {
        $api.append(content,tempFn(data));
    }
}

//筛选界面
function getSelectData(){
    var param = {};
    winduid = $api.getStorage('uid');
    if(winduid){
        var ciphertext = $api.getStorage('loginUser');
        param.des = ciphertext;
    }
    ajaxRequest(API_URL.trialSelect, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            selectCallBack(data.list);

        }else{
            showTipMsg(ret.msg);
        }
    });
}
function selectCallBack(data) {
    var content = $api.byId('select-content');
    var tpl = $api.byId('select-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content, tempFn(data));
}

function pageCallBack(total){
	var page_box = $api.byId('page_box');
	$api.html(page_box,initPage(total, page));
}
function openSelectType(){
    api.openWin({
        name: 'trialListSelect',
        url: 'trialListSelect.html'
    });
}

function doSearch(){
    $api.addCls($api.dom(".aui-searchbar-wrap"),"focus");
    $api.dom('.aui-searchbar-input input').focus();
}
function clearInput(){
    $api.val($api.byId("search-input"),'');
    //$('#list-content').addClass('aui-hidden');
}
function cancelSearch(){
    $api.removeCls($api.dom(".aui-searchbar-wrap.focus"),"focus");
    $api.val($api.byId("search-input"),'');
    $api.dom('.aui-searchbar-input input').blur();
    //$('#list-content').addClass('aui-hidden');
    $('#tips').slideDown('fast');
    allow_scroll=0;
    searchTrial();
}

function searchTrial(id,group_id,class_id){
    var param = {};
    var keyword = $("#search-input").val();
    param.keyword = keyword;
    param.id = id ? id : 0;
    param.group_id = group_id ? group_id : 0;
    param.class_id = class_id ? class_id : 0;

    if(id>0){
        $(".cha-syselect-cont").hide();
    }
    $api.dom('#search-input').blur();
    $api.val($api.byId("search-input"), keyword);
    $api.html($api.byId("list-content"), '');

    page = 1;
    param.p = page;

    ajaxRequest(API_URL.trialList, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            allow_scroll=1;
            //列表
            listCallBack(data.list);
            $('#list-content').removeClass('aui-hidden');
        }else{
            $('#list-content').addClass('aui-hidden');
            showTipMsg(ret.msg);
        }
    });
}