var page=1,limit=10;
apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p){
	page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
		page++;
		getData();
    });
}
function getData(){
    var param = {};

    winduid = $api.getStorage('uid');

    if(winduid){
        var ciphertext = $api.getStorage('loginUser');
        param.des = ciphertext;
    }

    if(page){
        param.p = page;
    }
    ajaxRequest(API_URL.collect, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//列表
			listCallBack(data.list);

			//分页
			/*if(data.total){
				pageCallBack(data.total);
			}*/
        }else{
	        showTipMsg(ret.msg);
        }
    });
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);

    if (page == 1) {
		$api.html(content,tempFn(data));
    } else {
		$api.append(content,tempFn(data));
    }
}
function pageCallBack(total){
	var page_box = $api.byId('page_box');
	$api.html(page_box,initPage(total, page));
}
function goUrl(flag, id){
	if(flag == 11 || flag == 12 || flag == 13 || flag == 14){
		api.openWin({
			name: 'productDetail',
			url: 'productDetail.html',
			pageParam: {product_id: id}
		});
	}else if(flag==2){
        api.openWin({
            name: 'experimentDetail',
            url: 'experimentDetail.html',
            pageParam: {experimentId:id}
        });
    }else if(flag==3){
        api.openWin({
            name: 'trialDetail',
            url: 'trialDetail.html',
            pageParam: {article_id:id}
        });
    }else if(flag==4){
        api.openWin({
            name: 'productNewDetail',
            url: 'productNewDetail.html',
            pageParam: {new_id:id}
        });
    }else{
        api.openWin({
            name: 'companyDetail',
            url: 'companyDetail.html',
            pageParam: {companyId:id}
        });
    }
}

function delCollect(type,id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    if(confirm('确定取消收藏吗？')) {
        var param = {};

        var ciphertext = $api.getStorage('loginUser');
        param.des = ciphertext;

        if (type == 2) {
            param.experimentId = id;
        }else if(type==3){
            param.article_id = id;
        }else if(type==4){
            param.new_id = id;
        } else {
            param.product_id = id;
        }

        ajaxRequest(API_URL.doCollect, 'post', param, function (ret, err) {
            if (ret.status == 0) {
                api.toast({msg: ret.msg, location: 'middle'});
                $('#J_'+type+'_'+id).remove();
                //getData();
            } else {
                showTipMsg(ret.msg);
            }
        });
    }
}