var uid,page=0,limit=10;

apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
	$('.J_version').html(api.appVersion);
};
function render(){
	page=1;
    api.showProgress();
    getData();
    api.parseTapmode();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
    checkUpdate(1);
}

function getData(){
	var winduid = $api.getStorage('uid');

	if(winduid){
		var param = {};
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;

		ajaxRequest(API_URL.ucenterSet, 'get', param, function(ret, err){
			if(ret.status == 0){
				var data = ret.data;
				dataCallBack(data.jpush);
			}else{
				openLogin();
			}
		});
	}else{
		openLogin();
	}
}
function dataCallBack(data){

	//接收通知
	var is_jpush_msg = data.is_jpush_msg;
	if(is_jpush_msg == 1){
		$('.J_jpush_msg').prop("checked", true);
	}else{
		$('.J_jpush_msg').prop("checked", false);
	}

	//计算缓存
    api.getCacheSize(function( ret, err ){
	    if( ret ){
		    var cacheM = ret.size / 1024 / 1024;
			cacheM = cacheM.toFixed(2);
		    cacheM = cacheM + 'M';
			$api.html($api.byId("J_cache"), cacheM);
			$api.html($api.byId("J_cache2"), cacheM);
	    }else{
			showTipMsg(JSON.stringify(err));
	    }
	});
}
//清除下载缓存文件、拍照临时文件、网页缓存文件等
function clearData(){
    api.clearCache();
	showTipMsg('缓存已清空');
	$('#J_cache').html('0M');
}
$(".J_jpush_msg").change(function(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

    api.showProgress();

	var ciphertext = $api.getStorage('loginUser'); //用户uid加密
    var is_jpush_msg_checked = $(this).prop('checked'); //是否开启消息推送
    if(is_jpush_msg_checked == true){
	    is_jpush_msg = 1;
    }else{
	    is_jpush_msg = 0;
    }

    var param = { //参数
		des : ciphertext,
        is_jpush_msg: is_jpush_msg,
    };

    ajaxRequest(API_URL.doJpushMsg, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
        }else{
            api.alert({
                msg:(ret.msg)
            });
        }
        api.hideProgress();
    })
});
//退出账号
function loginOut(){
	api.confirm({
	    title: '退出',
	    msg: '确定要退出登录吗？',
	    buttons:['确定','取消']
	},function(ret,err){
	    if(ret.buttonIndex == 1){
			//$api.clearStorage();
            $api.setStorage('uid', '');
            $api.setStorage('username', '');
			$api.setStorage('loginUser', '');

			var uid = 0;
			api.toast({msg: '退出成功', location: 'middle'});
			//setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'ucenter',
					script: 'render();'
				});
			//}, 1000);
	    }
	});
}

// 17-01-05 增加检测新版本
if($('.J_new').hasClass('aui-hide')){
    $(".J_update").unbind('click').click(function() {
        checkUpdate(2);
    });
}
function checkUpdate(n) {
	//n=1，有新版本则显示，n=2，点击时弹出新版本更新信息
	var mam = api.require('mam');
	mam.checkUpdate(function(ret, err) {
		if (ret) {
			var result = ret.result;
			if(n==1){
				if(result.update == true){
					$('.J_new').removeClass('aui-hide');
				}
				return false;
			}else{
				if (result.update == true && result.closed == false) {
					var str = '\n新版本型号：' + result.version + '\r\n\r\n功能更新：\r\n' + result.updateTip + '\r\n\r\n发布时间：' + result.time +'\r\n';
					api.confirm({
						title : '发现新版本 ',
						msg : str,
						buttons : ['确定', '取消']
					}, function(ret, err) {
						if (ret.buttonIndex == 1) {
							if (api.systemType == "android") {
								api.download({
									url : result.source,
									report : true
								}, function(ret, err) {
									if (ret && 0 == ret.state) {/* 下载进度 */
										api.toast({
											msg : "正在下载应用" + ret.percent + "%",
											duration : 2000
										});
									}
									if (ret && 1 == ret.state) {/* 下载完成 */
										var savePath = ret.savePath;
										api.installApp({
											appUri : savePath
										});
									}
								});
							}
							if (api.systemType == "ios") {
								api.installApp({
									appUri : result.source
								});
							}
						}
					});
				}
			}
		} else {
			api.alert({
				msg : err.msg
			});
		}
	});
}