var page=1,limit=10;

apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

    ajaxRequest(API_URL.userAddress, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//信息
			infoCallBack(data.info);

        }else{
	        showTipMsg(ret.msg);
        };
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));
}
//提交
function doSubmit(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

    api.showProgress();

	var ciphertext = $api.getStorage('loginUser'); //用户uid加密

    var contact = $api.byId('contact').value;
    var address = $api.byId('address').value;
    var mobile = $api.byId('mobile').value;
    var identity = $api.byId('identity').value;

    var param = { //参数
		des : ciphertext,
		contact : contact,
        address: address,
        mobile: mobile,
        identity: identity,
    };

    ajaxRequest(API_URL.doUserAddress, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'ucenter',
					script: 'render();'
				});
				api.closeWin();
			}, 1000);
        }else{
	        showTipMsg(ret.msg);
        };
        api.hideProgress();
    })
}