var page=1,limit=10;
var winName = 'bizProfile';

apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

    ajaxRequest(API_URL.bizProfile, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//信息
			infoCallBack(data.info);

        }else{
	        showTipMsg(ret.msg);
        };
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));

	$('#logo_img').attr('src', data.logo);
}
//提交
function doSubmit(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

    api.showProgress();

	var ciphertext = $api.getStorage('loginUser'); //用户uid加密

    var intro = $api.byId('intro').value;
    var hotline = $api.byId('hotline').value;
    var site = $api.byId('site').value;
    var email = $api.byId('email').value;

    var fileName_logo = $api.byId('fileName_logo').value;
    var fileSize_logo = $api.byId('fileSize_logo').value;
    var fileType_logo = $api.byId('fileType_logo').value;
    var fileData_logo = $api.byId('fileData_logo').value;

    var param = { //参数
		des : ciphertext,
		intro : intro,
        hotline: hotline,
        site: site,
        email: email,
		fileName_logo : fileName_logo,
		fileSize_logo : fileSize_logo,
		fileType_logo : fileType_logo,
		fileData_logo : fileData_logo,
    };

    ajaxRequest(API_URL.doBizProfile, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'ucenter',
					script: 'render();'
				});
				api.closeWin();
			}, 1000);
        }else{
	        showTipMsg(ret.msg);
        };
        api.hideProgress();
    })
}
$('.J_h5upload').on("click", function(){
	var objid = $(this).attr('id');
	var isClip = $(this).attr('data-isClip');
	api.actionSheet({
        //title: '上传',
        //cancelTitle: '取消',
        buttons: ['拍照','从相册选择']
	},function(ret,err){
		if(ret.buttonIndex == 1){
			getCamera(objid, isClip);
		}else if(ret.buttonIndex == 2){
			//getMedia(objid, isClip);
			getPicture(objid, isClip);
			//var systemType = api.systemType;
			//if(systemType == 'android'){
			//}else{

			//}
		}else{

		}
	});
});

//在Frame中打开裁剪页面
function openImageClip(path, objid){
	api.openFrame({
		name : 'imageClip',
		url : 'imageClip.html',
		pageParam: {path:path, winName:winName, objid:objid},
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		bounces : false,
		opaque : false,
		bgColor : 'rgba(0,0,0,0.0)'
	});
}
function getCamera(objid, isClip){
	api.getPicture({
		sourceType: 'camera',
        encodingType: "jpg",
        mediaValue: "pic",
        allowEdit: false
	}, function(ret, err){
		if (ret) { //拍照成功后
			//var systemType = api.systemType;
			//if(systemType == 'android'){
			var filePath = ret.data;
			if(filePath){
				if(isClip==1){
					openImageClip(filePath, objid); //选择照片后，在Frame中打开裁剪页面
				}else{
					var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
					var fileType = 'jpg';
					var fileSize = '100';
					h5uploadOne(objid, filePath, fileName, fileType, fileSize);
				}
			}
// 			}else{
// 				var filePath = ret.data;
// 				var fileType = 'jpg';
// 				var fileSize = '100';
// 				var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
// 				api.execScript({
// 					script: 'h5uploadOne("'+filePath+'","'+fileName+'","'+fileType+'","'+fileSize+'");'
// 				});
// 			}
		} else{
			api.alert({msg:err.msg});
		}
	});
}
function getPicture(objid, isClip){
	api.getPicture({
        sourceType: 'library',
        encodingType: 'jpg',
        mediaValue: 'pic',
        destinationType: 'url',
        allowEdit: false,
        quality: 100,
        //targetWidth:100,
        //targetHeight:100,
        saveToPhotoAlbum: false
    }, function(ret, err){
		if (ret) { //拍照成功后
			//var systemType = api.systemType;
			//if(systemType == 'android'){
			var filePath = ret.data;
			if(filePath){
				if(isClip==1){
					openImageClip(filePath, objid); //选择照片后，在Frame中打开裁剪页面
				}else{
					var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
					var fileType = 'jpg';
					var fileSize = '100';
					h5uploadOne(objid, filePath, fileName, fileType, fileSize);
				}
			}
// 			}else{
// 				var filePath = ret.data;
// 				var fileType = 'jpg';
// 				var fileSize = '100';
// 				var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
// 				api.execScript({
// 					script: 'h5uploadOne("'+filePath+'","'+fileName+'","'+fileType+'","'+fileSize+'");'
// 				});
// 			}
		} else{
			api.alert({msg:err.msg});
		}
	});
}
//在Frame中打开裁剪页面(供直接拍照使用)
function openImageClip(path, objid){
	api.openFrame({
		name : 'imageClip',
		url : 'imageClip.html',
		pageParam: {path:path, winName:winName, objid:objid},
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		bounces : false,
		opaque : false,
		bgColor : 'rgba(0,0,0,0.0)'
	});
}
function h5uploadOne(objid, filePath, fileName, fileType, fileSize){
// 	alert('objid是：'+objid);
// 	alert('图片路径：'+filePath);
// 	alert('图片名称：'+fileName);
	var parent = $('#'+objid);
	//alert(parent);
	//var lr = parent.find('.lr');
	//var imgObj = parent.next();
	var imgObj = parent.find('img');
	imgObj.css('display', 'block');
	//alert(imgObj.attr('class'));
	//var lr = $(this).parent();
	lrz(filePath, {width: 240, quality:0.9}, function(results){ //使用lrz.mobile.min.js直接压缩
    	//console.log(results);
		var file = results.origin;

		//alert('图片base64长度：'+results.base64.length);
		//alert("results.base64:"+results.base64);
		//alert(file.name);
 		//alert(file.type);
 		//alert(file.size);

		parent.find('.fileName').val(fileName);
		parent.find('.fileType').val(fileType);
		parent.find('.fileSize').val(fileSize);
		parent.find('.fileData').val(results.base64);

		//parent.find('.lr-img').attr("src",results.base64);

		//lr.removeClass('waiting');
		//lr.addClass('ready');
		imgObj.attr("src", results.base64);

	});
}