var companyId,page=1,limit=10;
apiready = function(){
    companyId = api.pageParam.companyId;
	if(!companyId){
        api.alert({
            msg:('非法公司ID')
        });
	}

    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p){
	page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
		page++;
		getData();
    });
}
function getData(){
	var param = {};

    winduid = $api.getStorage('uid');
	if(winduid){
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;
	}

	param.companyId = companyId;

	if(page){
		param.p = page;
	}

    ajaxRequest(API_URL.companyDetail, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//信息
			infoCallBack(data.info);

			//列表
			listCallBack(data.list);

			//分页
			if(data.total){
				pageCallBack(data.total);
			}

			//通知parent
			//noticeParent(data.fname);
        }else{
	        showTipMsg(ret.msg);
        };
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
	$api.html(content,tempFn(data));
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
		$api.html(content,tempFn(data));
    } else {
		$api.append(content,tempFn(data));
    }
}
function pageCallBack(total){
	var page_box = $api.byId('page_box');
	$api.html(page_box,initPage(total, page));
}
function noticeParent(fname){
	//通知上层框架以更新评论和点赞数
	api.execScript({
		script: 'receiveChild("'+fname+'");'
	});
}