var uid,page=0,limit=10;
var winName = 'enter';

apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
};
function render(){
	page=1;
    api.showProgress();
    //getData();
    api.parseTapmode();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
	// if(!uid){
		// api.openWin({
			// name: 'userLogin',
			// url: 'userLogin.html',
			// opaque: true,
			// vScrollBarEnabled:false
		// });
		// api.hideProgress();
		// return;
	// }
	var winduid = $api.getStorage('uid');
	var name = $api.getStorage('username');

	if(winduid){
// 		var panel = $api.byId('J_login');
// 		$api.removeCls(panel,'hidden');
// 		var panel = $api.byId('J_nologin');
// 		$api.addCls(panel,'hidden');

		var param = {};
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;

		ajaxRequest(API_URL.enter, 'get', param, function(ret, err){
			if(ret.status == 0){
				var data = ret.data;
				dataCallBack(data.info);
			}else{
				showTipMsg(ret.msg);
			};
		});
	}else{
		openLogin();
		return;
// 		var panel = $api.byId('J_login');
// 		$api.addCls(panel,'hidden');
// 		var panel = $api.byId('J_nologin');
// 		$api.removeCls(panel,'hidden');
	}
}
function dataCallBack(data) {
	if(data.is_comp==1){
		var content = $api.byId('comp-content');
		var tpl = $api.byId('comp-template').text;
		var tempFn = doT.template(tpl);
		$api.html(content,tempFn(data));

		$('#J_userWrap').css('display', 'none');
		$('#J_compWrap').css('display', 'block');
	}else{

		var content = $api.byId('info-content');
		var tpl = $api.byId('info-template').text;
		var tempFn = doT.template(tpl);
		$api.html(content,tempFn(data));

		$('#J_userWrap').css('display', 'block');
		$('#J_compWrap').css('display', 'none');
	}
}
//open - 我的主题
function openUserThread() {
	var winduid = $api.getStorage('uid');
    api.openWin({
        name: 'userThread',
        url: 'userThread.html',
        pageParam: {uid: winduid}
    });
}
//选择公司
function openSelectCompany(){
    api.openWin({
        name: 'companySelect',
        url: 'companySelect.html'
    });
}
function receiveSelectCompany(companyId, companyName){
    $api.html($api.byId("J_company_name"), companyName);
    $api.val($api.byId("J_company_id"), companyId);
}
//提交
function doSubmit(){
	api.confirm({
	    //title: 'testtitle',
	    msg: '升级为企业的账号将无法转为个人账号',
	    buttons:['取消','确定']
	},function(ret){
	    if(ret.buttonIndex == 2){
		    doSubmitTwo();
	    }
	});
}

function doSubmitTwo(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

    api.showProgress();

	var ciphertext = $api.getStorage('loginUser'); //用户uid加密

    var company_id = $api.byId('J_company_id').value;
    var contact = $api.byId('J_contact').value;
    var mobile = $api.byId('J_mobile').value;

    var fileName_logo = $api.byId('fileName_logo').value;
    var fileSize_logo = $api.byId('fileSize_logo').value;
    var fileType_logo = $api.byId('fileType_logo').value;
    var fileData_logo = $api.byId('fileData_logo').value;

    var fileName_licence = $api.byId('fileName_licence').value;
    var fileSize_licence = $api.byId('fileSize_licence').value;
    var fileType_licence = $api.byId('fileType_licence').value;
    var fileData_licence = $api.byId('fileData_licence').value;

    var param = { //参数
		des : ciphertext,
		company_id : company_id,
        contact: contact,
        mobile: mobile,
		fileName_logo : fileName_logo,
		fileSize_logo : fileSize_logo,
		fileType_logo : fileType_logo,
		fileData_logo : fileData_logo,
		fileName_licence : fileName_licence,
		fileSize_licence : fileSize_licence,
		fileType_licence : fileType_licence,
		fileData_licence : fileData_licence,
    };

    ajaxRequest(API_URL.doEnter, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'ucenter',
					script: 'render();'
				});
				api.closeWin();
			}, 1000);
        }else{
	        showTipMsg(ret.msg);
        };
        api.hideProgress();
    })
}
//上传
// var html = '<div class="lr-hint"><div class="lr-ready"><i class="iconfont icon-cameraaddfill"></i></div><div class="lr-waiting"><i class="icon-spinner icon-spin"></i></div></div><div class="lr-success"><div class="lr-remove"><i class="icon-trash"></i></div><img class="lr-img"></div><div class="text"></div>';
// $('.J_h5upload>.lr').html(html);
$('.J_h5upload').on("click", function(){
	var objid = $(this).attr('id');
	var isClip = $(this).attr('data-isClip');
	api.actionSheet({
        //title: '上传',
        //cancelTitle: '取消',
        buttons: ['拍照','从相册选择']
	},function(ret,err){
		if(ret.buttonIndex == 1){
			getCamera(objid, isClip);
		}else if(ret.buttonIndex == 2){
			//getMedia(objid, isClip);
			getPicture(objid, isClip);
			//var systemType = api.systemType;
			//if(systemType == 'android'){
			//}else{

			//}
		}else{

		}
	});
});

// $('.J_h5upload_file').on("change",'input',function(){
// 	var parent = $(this).parent().parent();
// // 	var ulObj = parent.find('ul');
// // 	var lrObj = $(this).parent();
//
// 	var objid = parent.attr('id');
// 	var isClip = parent.attr('data-isClip');
//
//     window.URL = window.URL || window.webkitURL;
//
// 	var fileObj = this.files[0];
// 	if(isClip==1){
// 		var filePath = URL.createObjectURL(fileObj); //根据文件获取文件路径
// 		openImageClip(filePath, objid); //选择照片后，在Frame中打开裁剪页面
// 	}else{
// 		var fileName = fileObj.name;
// 		var fileType = fileObj.type;
// 		var fileSize = fileObj.size;
// 		h5uploadOne(objid, fileObj, fileName, fileType, fileSize);
// 	}
// });
//在Frame中打开裁剪页面
function openImageClip(path, objid){
	api.openFrame({
		name : 'imageClip',
		url : 'imageClip.html',
		pageParam: {path:path, winName:winName, objid:objid},
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		bounces : false,
		opaque : false,
		bgColor : 'rgba(0,0,0,0.0)'
	});
}
function getCamera(objid, isClip){
	api.getPicture({
		sourceType: 'camera',
        encodingType: "jpg",
        mediaValue: "pic",
        allowEdit: false
	}, function(ret, err){
		if (ret) { //拍照成功后
			//var systemType = api.systemType;
			//if(systemType == 'android'){
			var filePath = ret.data;
			if(filePath){
				if(isClip==1){
					openImageClip(filePath, objid); //选择照片后，在Frame中打开裁剪页面
				}else{
					var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
					var fileType = 'jpg';
					var fileSize = '100';
					h5uploadOne(objid, filePath, fileName, fileType, fileSize);
				}
			}
// 			}else{
// 				var filePath = ret.data;
// 				var fileType = 'jpg';
// 				var fileSize = '100';
// 				var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
// 				api.execScript({
// 					script: 'h5uploadOne("'+filePath+'","'+fileName+'","'+fileType+'","'+fileSize+'");'
// 				});
// 			}
		} else{
			api.alert({msg:err.msg});
		}
	});
}
function getPicture(objid, isClip){
	api.getPicture({
        sourceType: 'library',
        encodingType: 'jpg',
        mediaValue: 'pic',
        destinationType: 'url',
        allowEdit: false,
        quality: 100,
        //targetWidth:100,
        //targetHeight:100,
        saveToPhotoAlbum: false
    }, function(ret, err){
		if (ret) { //拍照成功后
			//var systemType = api.systemType;
			//if(systemType == 'android'){
			var filePath = ret.data;
			if(filePath){
				if(isClip==1){
					openImageClip(filePath, objid); //选择照片后，在Frame中打开裁剪页面
				}else{
					var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
					var fileType = 'jpg';
					var fileSize = '100';
					h5uploadOne(objid, filePath, fileName, fileType, fileSize);
				}
			}
// 			}else{
// 				var filePath = ret.data;
// 				var fileType = 'jpg';
// 				var fileSize = '100';
// 				var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
// 				api.execScript({
// 					script: 'h5uploadOne("'+filePath+'","'+fileName+'","'+fileType+'","'+fileSize+'");'
// 				});
// 			}
		} else{
			api.alert({msg:err.msg});
		}
	});
}
function getMedia(objid, isClip){
	api.openWin({
		name: 'mediaClip',
		url: 'mediaClip.html',
        pageParam: {winName: winName, objid: objid, isClip: isClip},
		opaque: true,
		vScrollBarEnabled:false
	});
}
//在Frame中打开裁剪页面(供直接拍照使用)
function openImageClip(path, objid){
	api.openFrame({
		name : 'imageClip',
		url : 'imageClip.html',
		pageParam: {path:path, winName:winName, objid:objid},
		rect : {
			x : 0,
			y : 0,
			w : api.winWidth,
			h : api.winHeight
		},
		bounces : false,
		opaque : false,
		bgColor : 'rgba(0,0,0,0.0)'
	});
}
function h5uploadOne(objid, filePath, fileName, fileType, fileSize){
// 	alert('objid是：'+objid);
// 	alert('图片路径：'+filePath);
// 	alert('图片名称：'+fileName);
	var parent = $('#'+objid);
	//alert(parent);
	//var lr = parent.find('.lr');
	//var imgObj = parent.next();
	var imgObj = parent.find('img');
	imgObj.css('display', 'block');
	//alert(imgObj.attr('class'));
	//var lr = $(this).parent();
	lrz(filePath, {width: 720, quality:0.9}, function(results){ //使用lrz.mobile.min.js直接压缩
    	//console.log(results);
		var file = results.origin;

		//alert('图片base64长度：'+results.base64.length);
		//alert("results.base64:"+results.base64);
		//alert(file.name);
 		//alert(file.type);
 		//alert(file.size);

		parent.find('.fileName').val(fileName);
		parent.find('.fileType').val(fileType);
		parent.find('.fileSize').val(fileSize);
		parent.find('.fileData').val(results.base64);

		//parent.find('.lr-img').attr("src",results.base64);

		//lr.removeClass('waiting');
		//lr.addClass('ready');
		imgObj.attr("src", results.base64);

	});
}