var product_id,experimentId,article_id,new_id,page=1,limit=10;
var r_id,r_uid;
apiready = function(){
    product_id = api.pageParam.product_id;
    experimentId = api.pageParam.experimentId;
	article_id = api.pageParam.article_id;
	new_id = api.pageParam.new_id;

    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉

	initInputBox();
};
function render(){
	page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p){
	page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
		page++;
		getData();
    });
}
function getData(){
	var param = {};

    winduid = $api.getStorage('uid');
	if(winduid){
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;
	}

	param.product_id = product_id;
	param.experimentId = experimentId;
	param.article_id = article_id;
	param.new_id = new_id;

	if(page){
		param.p = page;
	}

    ajaxRequest(API_URL.commentList, 'get', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;

			//列表
			listCallBack(data.list);

			//分页
			if(data.total){
				pageCallBack(data.total);
			}

			//通知parent
			noticeParent(data.info);
        }else{
	        showTipMsg(ret.msg);
        };
    });
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
		$api.html(content,tempFn(data));
    } else {
		$api.append(content,tempFn(data));
    }
}
function pageCallBack(total){
	var page_box = $api.byId('page_box');
	$api.html(page_box,initPage(total, page));
}
function noticeParent(info){
	//通知上层框架以更新评论和点赞数
	api.execScript({
		script: 'receiveChild("'+info.share_num+'", "'+info.comment_num+'", "'+info.praise_num+'");'
	});
}

//输入框面板
function initInputBox(){
	chatBoxObj = api.require('UIChatBox');
	chatBoxObj.open({
		placeholder: '',
		maxRows: 4,
		emotionPath: 'widget://image/chatBox/emotion',
		texts: {
			recordBtn: {
				normalTitle: '按住 说话',
				activeTitle: '松开 结束'
			}
		},
		styles: {
			inputBar: {
				borderColor: '#d9d9d9',
				bgColor: '#f2f2f2'
			},
			inputBox: {
				borderColor: '#B3B3B3',
				bgColor: '#FFFFFF'
			},
// 			emotionBtn: {
// 				normalImg: 'widget://image/chatBox/face1.png'
// 			},
// 			extrasBtn: {
// 				//normalImg: 'widget://image/chatBox/add1.png'
// 			},
			keyboardBtn: {
				normalImg: 'widget://image/chatBox/key1.png'
			},
			// speechBtn: {
				// normalImg: 'widget://image/chatBox/key1.png'
			// },
			recordBtn: {
				normalBg: '#c4c4c4',
				activeBg: '#999999',
				color: '#000',
				size: 14
			},
			indicator: {
				target: 'both',
				color: '#c4c4c4',
				activeColor: '#9e9e9e'
			},
		    sendBtn: {
		        bg: '#007aff',
		        titleColor: '#ffffff',
		        activeBg: '#007aff',
	        },
		},
		extras: {
			titleSize: 10,
			titleColor: '#a3a3a3',
			btns: [{
				title: '图片',
				normalImg: 'widget://image/chatBox/album1.png',
				activeImg: 'widget://image/chatBox/album2.png'
			}]
			// },{
				// title: '拍照',
				// normalImg: 'widget://image/chatBox/cam1.png',
				// activeImg: 'widget://image/chatBox/cam2.png'
			// }]
		}
	}, function(ret){
		//点击附加功能面板
		if(ret.eventType == 'clickExtras'){
			//alert("用户点击了第"+ ret.index +"个按钮");
			if(ret.index == 0){
				//var obj = api.require('UIChatBox');
				chatBoxObj.closeKeyboard();
				openReply(); //高级回复
			}
		}
		//点击发送按钮
		if(ret.eventType == 'send'){
			chatBoxObj.closeKeyboard();
			doComment(ret.msg);
			//alert('输入的内容是：'+ ret.msg);
		}
	});
}

//发布回复
function doComment(content){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}
	var ciphertext = $api.getStorage('loginUser');

	if (!content) {
		api.alert({
			msg:('请输入内容')
		});
		return;
	}

	var param = {
		des: ciphertext,
		product_id: product_id,
		experimentId: experimentId,
		article_id : article_id,
		new_id : new_id,
		content: content,
	};

	if(r_id){
		param.r_id = r_id;
		if(r_uid == winduid){
			api.alert({
				msg:('不能引用自己的评论')
			});
			return;
		}
	}

    ajaxRequest(API_URL.doComment, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				getData();
			}, 1000);
			//通知上层框架以更新评论数
// 			api.execScript({
// 				script: 'setReplyAfter();'
// 			});

// 			api.execScript({
// 				name: 'inteComment',
// 				frameName: 'inteComment-con',
// 				script: 'addComment('+tid+');'
// 			});
			//api.closeWin();
			//getData();
			//if (data.tid) {
				// api.alert({
					// msg: '帖子回复成功'
				// }, function () {
					// getData();
					// //$api.val(contentEl,'');
					// // setTimeout(function(){
						// // api.execScript({
							// // name: 'root',
							// // frameName: 'read',
							// // script: 'getData();'
						// // });
						// // api.closeWin();
					// // }, 100);
				// });
			//}
        }else{
	        showTipMsg(ret.msg);
        }
    });
}
function cellClick(id, uid, username){
	winduid = $api.getStorage('uid');
	var _button;
	if(winduid==uid){
		_button = ['回复','举报','删除']
	}else{
		_button = ['回复','举报']
	}
	api.actionSheet({
        //title: '上传',
        cancelTitle: '取消',
        buttons: _button
	},function(ret,err){
		if(ret.buttonIndex == 1){
			quote(id, uid, username);
		}else if(ret.buttonIndex == 2){
			doReport(id, uid, username);
		}else if(ret.buttonIndex == 3){
			if(winduid==uid){
				delComment(id);
			}
		}
	});
}
function quote(id, uid, username){
	chatBoxObj.setPlaceholder({
    	placeholder: '回复:'+username
	});
	r_id = id;
	r_uid = uid;

	chatBoxObj.popupKeyboard();
}

///举报
function doReport(id){
	winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

	param.commentId = id;

	ajaxRequest(API_URL.doReport, 'post', param, function(ret, err){
		if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
		}else{
			showTipMsg(ret.msg);
		}
	});
}
///删除评论
function delComment(id){
	winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

	param.commentId = id;

	ajaxRequest(API_URL.delComment, 'post', param, function(ret, err){
		if(ret.status == 0){
			api.execScript({
 				name: 'interact',
				script: 'getNumDec();'
 			});
			$('#del_'+id).remove();
			api.toast({msg: ret.msg, location: 'middle'});
		}else{
			showTipMsg(ret.msg);
		}
	});
}