﻿//previous page id, current page id
var prevPid = '', curPid = '';
//save opened frame name
var frameArr = [];
var product_id, experimentId,article_id,new_id;

apiready = function(){
    product_id = api.pageParam.product_id;
    experimentId = api.pageParam.experimentId;
    article_id = api.pageParam.article_id;
    new_id = api.pageParam.new_id;

    api.setStatusBarStyle({
        style: 'light',
        color:'#ffffff'
    });
    api.parseTapmode();
    var header = $api.byId('aui-header');
    $api.fixStatusBar(header);
    var headerPos = $api.offset(header);
    var body_h = $api.offset($api.dom('body')).h;
    api.openFrameGroup({
        name: 'interact_tab',
        scrollEnabled:true,
        rect:{x:0, y:headerPos.h, w:'auto', h:body_h - headerPos.h},
        index:1,
        preload:0,
        frames:
        [{
            name: 'inteShare',
            url: './inteShare.html',
			pageParam: {product_id: product_id, experimentId: experimentId,article_id:article_id,new_id:new_id},
            bounces:false
        },{
            name: 'inteComment',
            url: './inteComment.html',
			pageParam: {product_id: product_id, experimentId: experimentId,article_id:article_id,new_id:new_id},
            bounces:false
        },{
            name: 'intePraise',
            url: './intePraise.html',
			pageParam: {product_id: product_id, experimentId: experimentId,article_id:article_id,new_id:new_id},
            bounces:true
        }]
    }, function(ret, err){
            var tabnav = $api.byId('aui-tab-nav');
            var navAct = $api.dom(tabnav, 'li.active');
            $api.removeCls(navAct, 'active');

            var index = ret.index;
            if(index==0){
                $api.addCls($api.byId('tabbar0'), 'active');
            }else if(index==1){
                $api.addCls($api.byId('tabbar1'), 'active');
            }else if(index==2){
                $api.addCls($api.byId('tabbar2'), 'active');
            }
    });

//     $api.addEvt($api.byId('back'), 'click', function(){
//         api.closeWin();
//     });

	//render();

};
function randomSwitchBtn(obj, index){
    var tabnav = $api.byId('aui-tab-nav');
    var navAct = $api.dom(tabnav, 'li.active');
    $api.removeCls(navAct, 'active');
    $api.addCls(obj, 'active');
    api.setFrameGroupIndex({
        name: 'interact_tab',
        index: index
    });
}

// function render(){
//     //getData();
// }
// function getData(){
// 	var connectionType = api.connectionType;
// 	if(connectionType == 'none'){
//         api.toast({msg: '当前网络连接不通', location: 'middle'});
// 		return;
// 	}
//
// 	var param = {};
//     ajaxRequest(API_URL.index, 'get', param, function(ret, err){
//         if(ret.status == 0){
//         	var data = ret.data;
//         	var config = data.config;
// 			configCallBack(data.config);
//         }else{
// 	        showTipMsg(ret.msg);
//         };
//     });
// }

function receiveChild(share, comment, praise){
    $api.text($api.byId('J_share'), '('+share+')');
    $api.text($api.byId('J_comment'), comment);
    $api.text($api.byId('J_praise'), '('+praise+')');
}
//frame whether open
function isOpened(frmName){
    var i = 0, len = frameArr.length;
    var mark = false;
    for(i; i<len; i++){
        if(frameArr[i] === frmName){
            mark = true;
            return mark;
        }
    }
    return mark;
}

//toggle header
function showHeader(type){
    if(!type){return;}
    var header = $api.dom('#header .active');
    $api.removeCls(header,'active');
    var thisHeader = $api.dom('#header .'+type);
    $api.addCls(thisHeader,'active');
}

//open tab
function openTab(type,tid){
    if(type === 'home'){
		api.execScript({
			frameName: 'home',
			script: 'render();'
		});
	}
    if(type === 'ucenter'){
    	//login
	    var winduid = $api.getStorage('uid');
		if(!winduid){
			api.openWin({
		        name: 'userLogin',
		        url: './html/userLogin.html',
		        opaque: true,
		        vScrollBarEnabled:false
		    });
		    return;
		}
    }

    showHeader(type);
    var width = api.winWidth;
    var nav = $api.byId('nav');
    var navPos = $api.offset(nav);
    var header = $api.byId('header');
    var headerPos = $api.offset(header);
    var height = api.winHeight - navPos.h - headerPos.h;
	//var height = api.winHeight - navPos.h;

    type = type || 'home';

    var actTab = $api.dom('#nav .active');
    $api.removeCls(actTab,'active');
    var thisTab = $api.dom('#nav .'+ type);
    thisTab = thisTab.parentNode;
    $api.addCls(thisTab,'active');

    //record page id
    prevPid = curPid;
    curPid = type;
    if(prevPid !== curPid){
        // alert(type+':'+isOpened(type));
        if(isOpened(type)){
            //api.setFrameAttr({
            //    name: type,
            //    hidden: false
            //});
        }else{
			//alert(height)
            api.openFrame({
                name: type,
                url: './html/'+ type +'.html',
                bounces: true,
                opaque: true,
                vScrollBarEnabled: false,
                //pageParam:{ headerHeight: headerPos.h,tid:tid},
				//pageParam: {navHeight: navPos.h},
                rect: {
                    x: 0,
                    y: headerPos.h,
                    w: width,
                    h: height
                }
            });
        }

        // if(prevPid){
            // api.setFrameAttr({
                // name: prevPid,
                // hidden: true
            // });
        // }

        // if(!isOpened(type)){
            // //save frame name
            // frameArr.push(type);
        // }
    }
}

//search activity
var searchActOpened = false;

// function closeFramGroup(){
    // api.closeFrameGroup({
        // name: 'searchAct'
    // });

    // var actLi = $api.dom('#header .activity li.active');
    // $api.removeCls(actLi,'active');
    // searchActOpened = false;
// }
function scan(){
	var obj = api.require('scanner');
	obj.open(function(ret,err) {
		var resUrl = ret.msg;
		if(!resUrl){return;}

		if(resUrl.indexOf(cSiteUrl+'/m/read.php?tid=') == 0){
			var tid = resUrl.substr(36);
			api.openWin({
				name: 'read',
				url: './read.html',
				pageParam: {tid: tid}
			});
		}else{
			api.openApp({
				iosUrl: resUrl,
				androidPkg: 'android.intent.action.VIEW',
				mimeType: 'text/html',
				uri: resUrl
			}, function (ret, err) {

			});
		}

	});
}
//打开侧边栏
function openSlide(){
	api.openSlidPane({type:'left'});
}
//高级查询
function openSearchAdvance(){
    api.openWin({
        name: 'searchAdvance',
        url: './searchAdvance.html'
    });
}

function getNumDec(){
    var _num = $('#J_comment').html();
    _num--;
    if(_num<0){
        _num=0;
    }
    $('#J_comment').html(_num);
}