var product_id,active_id,product_name;
apiready = function(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    product_id = api.pageParam.product_id ? api.pageParam.product_id : 0;//产品id
    active_id = api.pageParam.active_id ? api.pageParam.active_id : 0;//活动id
    product_name = api.pageParam.product_name ? api.pageParam.product_name : '';
    if(product_name!=''){
        $('#crop_product').val(product_name);
        $('#crop_product').attr("readonly",true);
    }
};

$('#getMap').on("click", function(){
    getLocationAddress();
});

$('#grey_pic').on("click", function(){
    $('#show_imgs').toggleClass('aui-hidden');
});

$("#post_btn").on("click", function(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    var crop_product = $('#crop_product').val();//示范产品
    var crop_name = $('#crop_name').val();//示范作物
    var address = $('#getMap').val();//示范地址
    var content = $('#content').val();//示范内容
    if(content=='' || (/^\s+$/g.test(content))||crop_product=='' || (/^\s+$/g.test(crop_product))||crop_name=='' || (/^\s+$/g.test(crop_name))||address=='' || (/^\s+$/g.test(address))){
        alert('请将示范的产品、作物、地区和内容填写完整');
        return false;
    }else{
        api.showProgress({
            title: '正在发表',
            modal: false
        });
    }
    //图片
    var form = $('#list_img');
    var imgs = '';
    form.find('li.aui-up-pics').each(function(){
        var src = $(this).find('img').attr('src');
        if(src){
            imgs += '<img src="'+ src +'"/>';
        }
    });

    var param = {
        active_id:active_id,
        product_id:product_id,
        crop_product:crop_product,
        crop_name:crop_name,
        content:content,
        address:address,
        imgs:imgs,
    };
    var winduid = $api.getStorage('uid');
    if(winduid){
        var ciphertext = $api.getStorage('loginUser');
        param.des = ciphertext;
    }
    ajaxRequest(API_URL.experimentAdd, 'post', param, function(ret,err)
    {
        if(ret.status=='success') {
            api.toast({msg: ret.msg, location: 'middle'});
            api.execScript({
                name : 'productDetail',
                frameName : 'productDetail-con1',
                script : 'getData();'
            });
            api.openWin({name:'experimentDetail',url:'experimentDetail.html',pageParam:{product_id:product_id,experimentId: ret.url.experimentId}});
            api.closeWin({'name': 'product-edit'});
        } else{
            showTipMsg(ret.msg);
        }
    });
});

//上传
$('.J_h5upload').on("click", function(){
    var objid = $(this).attr('id');
    api.actionSheet({
        //title: '上传',
        //cancelTitle: '取消',
        buttons: ['拍照','从相册选择']
    },function(ret,err){
        if(ret.buttonIndex == 1){
            getCamera(objid);
        }else if(ret.buttonIndex == 2){
            getPicture(objid);
        }else{
        }
    });
});
function getCamera(objid){
    api.getPicture({
        sourceType: 'camera',
        encodingType: "jpg",
        mediaValue: "pic",
        allowEdit: false
    }, function(ret, err){
        if (ret) {
            var filePath = ret.data;
            if(filePath){
                var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
                var fileType = 'jpg';
                var fileSize = '500';
                h5uploadOne(objid, filePath, fileName, fileType, fileSize);
            }
        } else{
            api.alert({msg:err.msg});
        }
    });
}
function getPicture(objid){
    api.getPicture({
        sourceType: 'library',
        encodingType: 'jpg',
        mediaValue: 'pic',
        destinationType: 'url',
        allowEdit: false,
        quality: 100,
        //targetWidth:100,
        //targetHeight:100,
        saveToPhotoAlbum: false
    }, function(ret, err){
        if (ret) {
            var filePath = ret.data;
            if(filePath){
                var fileName = filePath.substring(filePath.lastIndexOf('/')+1);
                var fileType = 'jpg';
                var fileSize = '500';
                h5uploadOne(objid, filePath, fileName, fileType, fileSize);
            }
        } else{
            api.alert({msg:err.msg});
        }
    });
}
function getLocationAddress(){
    //获取位置信息
    var baiduLocation = api.require('baiduLocation');
    baiduLocation.startLocation({
        accuracy: '100m',
        filter: 1,
        autoStop: true
    }, function(ret,err) {
        if (ret.status) {
            //alert(JSON.stringify(ret));
            var longitude = ret.longitude;
            var latitude = ret.latitude;
            var url = API_URL.getCity;
            ajaxRequest(url, 'get', {l:longitude,n:latitude}, function(ret,err)
            {
                if(ret) {
                    $('#getMap').val(ret.msg);
                }
            });

        } else {
            toast('请允许农查查访问您的位置并打开GPS');
        }
    });
}
function h5uploadOne(objid, filePath, fileName, fileType, fileSize){
    var parent = $('#'+objid);
    var li = $("#list_img").find('li');
    var btn = $('#up_img');
    lrz(filePath, {width: 500, quality:0.9}, function(results){ //使用lrz.mobile.min.js直接压缩
        var file = results.origin;
        var param = { //参数
            fileName_ups : fileName,
            fileSize_ups : fileSize,
            fileType_ups : fileType,
            fileData_ups : results.base64
        };
        ajaxRequest(API_URL.uploadApp, 'post',param, function(ret, err){
            if(ret.file){
                var imgurl = 'http://cha191cn.oss-cn-beijing.aliyuncs.com/'+ret.file;
                var img_html = '<li class="aui-up-pics"><img src="'+ imgurl +'"><div class="cha-delt" onclick="del(this)"><span class="aui-iconfont aui-icon-close"></span></div></li>';
            
            btn.before(img_html);
            if (li.length>0) {
                $('#grey_pic').addClass('cha-actived');
            }else if(li.length>0){
                btn.hide();
            }else{
                btn.show();
            }
        }else{
            alert('网速过慢或图片超过4M，稍后尝试');
        }
        });

    });
}
function del(o){
    $(o).parent().remove();
}
