var active_id,active_title,product_id;
apiready = function(){
    api.parseTapmode();
    active_id = api.pageParam.active_id;
    active_title = api.pageParam.active_title;
    product_id = api.pageParam.product_id;
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
    page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
        page++;
        getData();
    });
}
function getData(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;

    param.active_id = active_id;

    ajaxRequest(API_URL.getActive, 'get', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            //列表
            infoCallBack(data.info);
            //示范列表
            listCallBack(data.list);
        }else{
            showTipMsg(ret.msg);
        }
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content,tempFn(data));
    if(data){
        $('#J_productName').val(data.product_name);
    }
}
function listCallBack(data){
    var content = $api.byId('experiment-content');
    var tpl = $api.byId('experiment-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content,tempFn(data));
    if(data){
        $('#experiment').css('display','block');
    }else{
        $('#experiment').css('display','none');
    }
}

function openInteract(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {experimentId: id}
    });
}
function doPraise(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;
    param.experimentId = id;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            var num = $('#show_'+id).html();
            if(data.id){
                $api.addCls($api.byId('get_'+id), "active-info");
                num++;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).addClass('aui-text-info');

            }else{
                $api.removeCls($api.byId('get_'+id), "active-info");
                num--;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).removeClass('aui-text-info');
            }
            api.toast({msg: ret.msg, location: 'middle'});
        }else{
            showTipMsg(ret.msg);
        }
    });
}


//发示范
function openEditExper(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    var product_name= $('#J_productName').val();
    api.openWin({
        name: 'product-edit',
        url: 'product-edit.html',
        pageParam: {product_id: product_id,active_id: active_id,active_title:active_title,product_name:product_name}
    });
}
