var product_id;
apiready = function(){
    api.parseTapmode();
    product_id = api.pageParam.product_id;
    render();
    setRefreshHeader(); //顶部拉
    setScrollBottom(); //底部拉
};
function render(){
    page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function setScrollBottom(){ //底部拉
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err){
        page++;
        getData();
    });
}
function getData(){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;

    param.product_id = product_id;

    ajaxRequest(API_URL.getPast, 'get', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            //列表
            listCallBack(data.info);

        }else{
            showTipMsg(ret.msg);
        }
    });
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content,tempFn(data));
}
//活动详情
function openPastDet(id,title){
    api.openWin({
        name: 'product-rule',
        url: 'product-rule.html',
        reload:true,
        pageParam: {active_id: id,active_title:title,product_id:product_id}
    });
}

