var product_id,page=1,limit=10;
var shareDesc,shareCover;
var productName;
apiready = function(){
    product_id = api.pageParam.product_id;
	if(!product_id){
        api.alert({
            msg:('非法产品ID')
        });
	}
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
	    $('#J_share_3rd_title').css('display', 'block');
	    $('#J_share_3rd_cell').css('display', 'block');
    }
};

function render(){
    api.showProgress();
    getDataInfo();
    getDataArticle(page);
    api.hideProgress();
}
function goPage(page){
    api.showProgress();
    getDataArticle(page);
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getDataInfo(){
    var param = {};

    winduid = $api.getStorage('uid');

    param.des = $api.getStorage('loginUser');
    param.product_id = product_id;

    ajaxRequest(API_URL.productDetailInfo, 'get', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            if(data.info.product_name){
                var _name = data.info.product_name;
                api.execScript({
                    name: 'productDetail',
                    script: 'setTitle("' + _name + '");'
                });
            }
            infoCallBack(data.info);
        }else{
            showTipMsg(ret.msg);
        }
    });
}

function getDataArticle(){
    var param = {};
    param.product_id = product_id;

    if(page){
        param.p = page;
    }

    ajaxRequest(API_URL.productDetailArticle, 'get', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            articleCallBack(data.info);
        }else{
            showTipMsg(ret.msg);
        }
    });
}

function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content,tempFn(data));

    $api.text($api.byId('J_comment_num'), data.comment_num); //评论数

    if(data.is_praise == 1){
        $api.addCls($api.byId('J_praise'), "active-info");
        $api.html($api.byId('J_praise_name'), "已点赞");
    }
    if(data.is_collect == 1){
        $api.addCls($api.byId('J_collect'), "active-info");
        $api.html($api.byId('J_collect_name'), "已收藏");
    }
}

function articleCallBack(data){
    var content = $api.byId('article-content');
    var tpl = $api.byId('article-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content,tempFn(data));
    } else {
        $api.append(content,tempFn(data));
    }
}

/*function pageCallBack(total){
	var page_box = $api.byId('page_box');
	$api.html(page_box,initPage(total, page));
}*/

function noticeParent(fname){
	//通知上层框架以更新评论和点赞数
	api.execScript({
		script: 'receiveChild("'+fname+'");'
	});
}

//打开评论列表
function openInteract(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {product_id:id}
    });
}

//分享弹出框
function showPop(id,title,comName){
    shareDesc = comName ? title + '-' + comName : title;
    shareCover = 'http://cha.191.cn/logo-300.png'; //分享图标
    api.openFrame({
        name: 'share',
        url: 'share.html',
        pageParam: {product_id: id,desc:shareDesc, icon:shareCover},
        rect:{
            x: 0,
            y: 0,
            w: 'auto',
            h: 'auto'
        },
        bounces: true
        //vScrollBarEnabled: false
    });
}

//点赞
function doPraise(id){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;
    param.product_id = id;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
	        var data = ret.data;

            if(data.id){
                $api.addCls($api.byId('J_praise'), "active-info");
                $api.html($api.byId('J_praise_name'), "已点赞");

            }else{
                $api.removeCls($api.byId('J_praise'), "active-info");
                $api.html($api.byId('J_praise_name'), "点赞");
            }

            api.toast({msg: ret.msg, location: 'middle'});
            setTimeout(function(){
            }, 1000);
        }else{
	        showTipMsg(ret.msg);
        }
    });
}

function doCollect(type,id,name){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;

    param.type = 1+type;//1产品2示范//11农药 12肥料 13微生物肥 14种子
    param.uid = winduid;
    param.product_id = id;
    param.product_title = name;


    ajaxRequest(API_URL.doCollect, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;

            if(data.id){
                $api.addCls($api.byId('J_collect'), "active-info");
                $api.html($api.byId('J_collect_name'), "已收藏");

            }else{
                $api.removeCls($api.byId('J_collect'), "active-info");
                $api.html($api.byId('J_collect_name'), "收藏");
            }

            api.toast({msg: ret.msg, location: 'middle'});
            setTimeout(function(){
                //$('#J_item_'+applyId).remove();
            }, 1000);
        }else{
            showTipMsg(ret.msg);
        }
    });
}

