var page=1,limit=10;
var shareDesc,shareCover;
var authid,product_id;
apiready = function(){
    authid = api.pageParam.authid;
    product_id = api.pageParam.product_id;
    if(!product_id){
        api.alert({
            msg:('非法产品ID')
        });
    }

    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
        $('#J_share_3rd_title').css('display', 'block');
        $('#J_share_3rd_cell').css('display', 'block');
    }
};
function render(){
    page = 1;
    api.showProgress();
    getData();
    api.hideProgress();
}
function goPage(p){
    page = p;
    api.showProgress();
    getData();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
}
function getData(){
    var param = {};

    winduid = $api.getStorage('uid');
    if(winduid){
        var ciphertext = $api.getStorage('loginUser');
        param.des = ciphertext;
    }

    param.product_id = product_id;
    param.authid = authid;
    if(page){
        param.p = page;
    }

    ajaxRequest(API_URL.productExample, 'get', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            infoCallBack(data.info);
            listCallBack(data.list);
            //分页
            if(data.total){
                pageCallBack(data.total);
            }
            //通知parent
            //noticeParent(data.fname);
        }else{
            showTipMsg(ret.msg);
        }
    });
}
function infoCallBack(data){
    var content = $api.byId('info-content');
    var tpl = $api.byId('info-template').text;
    var tempFn = doT.template(tpl);
    $api.html(content,tempFn(data));
}
function listCallBack(data){
    var content = $api.byId('list-content');
    var tpl = $api.byId('list-template').text;
    var tempFn = doT.template(tpl);
    if (page == 1) {
        $api.html(content,tempFn(data));
    } else {
        $api.append(content,tempFn(data));
    }
}
function pageCallBack(total){
    var page_box = $api.byId('page_box');
    $api.html(page_box,initPage(total, page));
}
function noticeParent(fname){
    //通知上层框架以更新评论和点赞数
    api.execScript({
        script: 'receiveChild("'+fname+'");'
    });
}
function openInteract(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }
    api.openWin({
        name: 'interact',
        url: 'interact.html',
        pageParam: {product_id: 0, experimentId: id}
    });
}
function doPraise(id){
    winduid = $api.getStorage('uid');
    if(!winduid){
        openLogin();
        return;
    }

    var param = {};

    var ciphertext = $api.getStorage('loginUser');
    param.des = ciphertext;
    param.experimentId = id;

    ajaxRequest(API_URL.doPraise, 'post', param, function(ret, err){
        if(ret.status == 0){
            var data = ret.data;
            var _username = $api.getStorage('username');
            var num = $('#show_'+id).html();

            var obj= $('.J_showpra_'+id).parent().next();
            var _txt = obj.find('.cha-interact-hd').find('.J_praiseList_'+id);
            if(data.id){
                $api.addCls($api.byId('get_'+id), "active-info");
                num++;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).addClass('aui-text-info');
                obj.removeClass('aui-hidden');
                obj.find(".cha-interact-hd").removeClass('aui-hidden');

                if(_txt.text().trim()==''){
                    _txt.text(_username);
                }else{
                    _txt.text(_username+'、'+_txt.text());
                }
            }else{
                $api.removeCls($api.byId('get_'+id), "active-info");
                num--;
                $('#show_'+id).html(num);
                $('.J_showpra_'+id).removeClass('aui-text-info');
                if(_txt.text()==''){
                    _txt.text('');
                }else{
                    var str = _txt.text();
                    var _name = str.replace(_username+'、','');
                    _name = _name.replace('、'+_username,'');
                    _name = _name.replace(_username,'');
                    if(_name.trim()){
                        _txt.text(_name);
                    }else{
                        obj.find(".cha-interact-hd").addClass('aui-hidden');
                        var _leng = obj.find(".cha-interact-ul").children().length;
                        if(_leng==0){
                            obj.addClass('aui-hidden');
                        }
                    }
                }
            }
            api.toast({msg: ret.msg, location: 'middle'});
            setTimeout(function(){
                //$('#J_item_'+applyId).remove();
            }, 1000);
        }else{
            showTipMsg(ret.msg);
        }
    });
}