/* =============================================
 * v20150728
 * =============================================
 * Copyright 赵君
 *
 * 第三方分享
 * ============================================= */

var winName,winFrameName,product_id,experimentId,article_id,new_id,desc,icon,shareUrl;
apiready = function(){
	winName = api.pageParam.winName;
	winFrameName = api.pageParam.winFrameName;
	product_id = api.pageParam.product_id;
	experimentId = api.pageParam.experimentId;
	article_id = api.pageParam.article_id;
	new_id = api.pageParam.new_id;
	desc = api.pageParam.desc;
	icon = api.pageParam.icon;

	//shareUrl = cSiteUrl+'/m/read.php?tid='+tid;
	if(experimentId){
		shareUrl = siteUrlConfig+'/home/experiment/detail/experimentId/'+experimentId;
	}else if(product_id){
		shareUrl = siteUrlConfig+'/home/product/detail/productId/'+product_id;
	}else if(article_id){
		shareUrl = siteUrlConfig+'/home/applyArticle/detail/applyArticleId/'+article_id;
	}else if(new_id){
		shareUrl = siteUrlConfig+'/home/productNew/detail/productNewId/'+new_id;
	}else{
		shareUrl = api.pageParam.shareUrl;
	}

	$('.aui-mask').on("click", function(e){
		fCloseSelf();
	});

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
	    $('#J_share_3rd_title').css('display', 'block');
	    $('#J_share_3rd_cell').css('display', 'block');
	}
};

function fShareWxT(){
	var wx = api.require('wx');
	var _icon = 'widget://image/logo-300.png';
	wx.shareWebpage({
		apiKey: '',
		scene: 'timeline',
		title: desc,
		description: desc,
		thumb: _icon,
		contentUrl: shareUrl
	}, function(ret, err){
		if(ret.status){
			//alert('分享成功');
			callback('wx_quan');
		}else{
			//alert('分享失败'+err.code);
		}
	});
}
function fShareWxF(){
	var wx = api.require('wx');
	var _icon = 'widget://image/logo-300.png';
	wx.shareWebpage({
		apiKey: '',
		scene: 'session',
		title: desc,
		description: desc,
		thumb: _icon,
		contentUrl: shareUrl
	}, function(ret, err){
		if(ret.status){
			//alert('分享成功');
			callback('wx_friend');
		}else{
			//alert('分享失败'+err.code);
		}
	});
}
function fShareQZone(){
	var obj = api.require('qq');
	//若 type 为 QZone 则icon在 Android 上仅支持网络图片
	var _icon;
	if(api.systemType=='android'){
		_icon = 'http://cha.191.cn/logo-300.png';
	}else{
		_icon = icon;
	}
	obj.shareNews({
		url: shareUrl,
		title: desc,
		description: desc,
		imgUrl: _icon,
		type: 'QZone'
	}, function(ret, err) {
		if(ret.status){
			//alert('分享成功');
			callback('qq_zone');
		}else{
			//alert('分享失败'+err.code);
		}
        //alert(JSON.stringify(ret)+';msg:'+err.msg+';code:'+err.code);
    });
}
function fShareQFriend(){
	var obj = api.require('qq');
	obj.shareNews({
		url: shareUrl,
		title: desc,
		description: desc,
		imgUrl: icon,
		type: 'QFriend'
	}, function(ret, err) {
		if(ret.status){
			//alert('分享成功');
			callback('qq_friend');
		}else{
			//alert('分享失败'+err.code);
		}
        //alert(JSON.stringify(ret)+';msg:'+err.msg+';code:'+err.code);
    });
}
function callback(method){
	api.toast({msg: '分享成功', location: 'middle'});
	var winduid = $api.getStorage('uid');
	if(winduid){
		var ciphertext = $api.getStorage('loginUser');
		var param = {
			des: ciphertext,
			method: method,
		};

		if(experimentId){
			param.experimentId = experimentId;
		}else if(product_id){
			param.product_id = product_id;
		}else if(article_id){
			param.article_id = article_id;
		}else{
			param.new_id = new_id;
		}

		ajaxRequest(API_URL.doShare, 'post', param, function(ret, err){
			if(ret.status == 0){
				//api.toast({msg: ret.msg, location: 'middle'});
				setTimeout(function(){
					api.closeFrame();
				}, 1000);
			}else{
	        	showTipMsg(ret.msg);
			}
		});
	}
}
//收藏
function doCollection(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}
	var ciphertext = $api.getStorage('loginUser');

	var param = {
		des: ciphertext,
		tid: tid,
	};

    ajaxRequest(API_URL.doCollection, 'post', param, function(ret, err){
        if(ret.code == 0){
			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				if(winName){
					api.execScript({
						name: winName,
						frameName: winFrameName,
						script: 'collectionAfter();'
					});
				}
				fCloseSelf();
			}, 1000);
		}else{
            api.alert({
                msg:(ret.msg)
            });
        };
    });
}
//打开举报页面
function openReport(){
	api.openWin({
		name: 'report',
		url: 'report.html',
        pageParam: {tid: tid}
	});
// 	api.openFrame({
// 		name: 'report',
// 		url: 'report.html',
//         pageParam: {tid: tid},
//         rect:{
//             x: 0,
//             y: 0,
//             w: 'auto',
//             h: 'auto'
//         },
//         bounces: true,
//         vScrollBarEnabled: false
// 	});
}
//删除
function doDelete(){
	api.confirm({
	    title: '删除',
	    msg: '确定删除这条信息吗',
	    buttons:['取消','确定']
	},function(ret,err){
	    if(ret.buttonIndex == 2){
		    winduid = $api.getStorage('uid');
			if(!winduid){
				openLogin();
				return;
			}
			var ciphertext = $api.getStorage('loginUser');

			var param = {
				des: ciphertext,
				tid: tid,
			};

		    ajaxRequest(API_URL.doDelete, 'post', param, function(ret, err){
		        if(ret.code == 0){
					api.toast({msg: ret.msg, location: 'middle'});

					//移除节点
					api.execScript({
						name: 'home',
						frameName: 'home-con',
						script: 'removeNodeByTid('+tid+');'
					});

					setTimeout(function(){
						//getDataForThread();
						api.execScript({
							name: 'read',
							script: 'closeThisWin();'
						});
						fCloseSelf();
					}, 1000);
		        }else{
		            api.alert({
		                msg:(ret.msg)
		            });
		        };
		    });
	    }
	});
}

function copyLink(){
	var obj = api.require('clipBoard');
	obj.set({
	    value: shareUrl
	}, function(ret, err){
	    if(ret.status){
	        api.toast({msg: '已复制', location: 'middle'});
	    }else{
	        api.toast({msg: '复制失败', location: 'middle'});
	    }
	});
}
///举报
function doReport(){
    winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}

	var param = {};

	var ciphertext = $api.getStorage('loginUser');
	param.des = ciphertext;

	if(experimentId){
		param.experimentId = experimentId;
	}else if(product_id){
		param.product_id = product_id;
	}else if(article_id){
		param.article_id = article_id;
	}else{
		param.new_id = new_id;
	}

    ajaxRequest(API_URL.doReport, 'post', param, function(ret, err){
        if(ret.status == 0){
			api.toast({msg: ret.msg, location: 'middle'});
        }else{
	        showTipMsg(ret.msg);
        };
    });
}