var uid,page=0,limit=10;

apiready = function(){
    api.parseTapmode();
    render();
    setRefreshHeader(); //顶部拉
	if(channleId){
		$api.html($api.byId("channel_id"), '渠道编码 '+channleId);
	}
};

function render(){
	page=1;
    api.showProgress();
    getData();
    api.parseTapmode();
    api.hideProgress();
}
function setRefreshHeader(){ //顶部拉
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
        render();
        api.refreshHeaderLoadDone();
    });
	check_date();
}
$('.J_tab_nav').on("click", 'li', function(){
	var type = $(this).attr('data-type');
	$('.J_tab_nav>li').each(function(){
		$(this).removeClass('active');
	});
	$(this).addClass('active');
	if(type == "user") {
		$('#J_company_show').css('display', 'none');
		$('#J_userInfo').css('display', 'block');
	}else{
		$('#J_company_show').css('display', 'block');
		$('#J_userInfo').css('display', 'none');
	}
});
function getData(){
	var winduid = $api.getStorage('uid');
	var name = $api.getStorage('username');

	if(winduid){
		var param = {};
		var ciphertext = $api.getStorage('loginUser');
		param.des = ciphertext;

		ajaxRequest(API_URL.ucenter, 'get', param, function(ret, err){
			if(ret.status == 0){
				$('#noUser').addClass('aui-hidden');
				var data = ret.data;
				dataCallBack(data.info, data.comp);
			}else{
				//showTipMsg(ret.msg);
				$('#J_userWrap').css('display', 'none');
				$('#J_compWrap').css('display', 'none');
				$('#noUser').removeClass('aui-hidden');
				openLogin();
			}
		});
	}else{
		$('#J_userWrap').css('display', 'none');
		$('#J_compWrap').css('display', 'none');
		$('#noUser').removeClass('aui-hidden');
		openLogin();
		return;
	}
}
function dataCallBack(data, comp){
	if(data.company_id > 0){ //公司
		var content = $api.byId('comp-content');
		var tpl = $api.byId('comp-template').text;
		var tempFn = doT.template(tpl);
		$api.html(content,tempFn(comp));

		$('#J_userWrap').css('display', 'none');
		$('#J_compWrap').css('display', 'block');
	}else{ //个人
		var content = $api.byId('info-content');
		var tpl = $api.byId('info-template').text;
		var tempFn = doT.template(tpl);
		$api.html(content,tempFn(data));

		$('#J_userWrap').css('display', 'block');
		$('#J_compWrap').css('display', 'none');

		if(data.comp_status == 1){
			$('#J_company_prepair').css('display', 'none');
			$('#J_company_check').css('display', 'block');
		}else{
			$('#J_company_prepair').css('display', 'block');
			$('#J_company_check').css('display', 'none');
		}
	}
	//消息
	if(data.notice_num > 0){
		$api.html($api.byId("J_notice_num"), data.notice_num);
		$api.html($api.byId("J_notice_num_biz"), data.notice_num);
		$api.removeCls($api.byId("J_notice_num"), "aui-hide");
		$api.removeCls($api.byId("J_notice_num_biz"), "aui-hide");
	}else{
		$api.addCls($api.byId("J_notice_num"), "aui-hide");
		$api.addCls($api.byId("J_notice_num_biz"), "aui-hide");
	}
}
function openNotice(){
    api.openWin({
        name: 'notice',
        url: 'notice.html'
    });

	$api.addCls($api.byId("J_notice_num"), "aui-hide");
	$api.addCls($api.byId("J_notice_num_biz"), "aui-hide");
}

function openCollect(){
	winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}
	api.openWin({
		name: 'ucenter-collect',
		url: 'ucenter-collect.html',
		pageParam: {uid:winduid}
	});
}

function openSetHtml(){
	winduid = $api.getStorage('uid');
	if(!winduid){
		openLogin();
		return;
	}
	api.openWin({
		name: 'ucenter-set',
		url: 'ucenter-set.html',
		pageParam: {uid:winduid}
	});
}

function check_date() {
	var mam = api.require('mam');
	mam.checkUpdate(function(ret, err) {
		if (ret) {
			var result = ret.result;
			if(result.update == true){
				$('.J_new').removeClass('aui-hide');
			}
		}
	});
}