var headerPos;
apiready = function () {
    headerPos = api.pageParam.headerPos;

    api.parseTapmode();

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
	    $('#J_login_3rd').css('display', 'block');
    }
};
function doSubmit(){
    api.showProgress({
        title: '正在登录',
        modal: false
    });
    var username = $api.byId('username').value;
    var password = $api.byId('password').value;

    var param = {
        username: username,
        //password: hex_md5(password),
        password: password
    };

    ajaxRequest(API_URL.doLogin, 'post', param, function(ret, err){
        if(ret.status == 0){
        	var data = ret.data;
			var uid = data.uid;
			var login_user = data.login_user;

			//cookie uid
            $api.setStorage('uid', uid);
            $api.setStorage('username', username);
			$api.setStorage('loginUser', login_user);

			try{
				var ajpush = api.require('ajpush'); //注册
				var param = {
					alias: 'u_'+uid,
					tags: ['u_'+uid]
				};
				ajpush.bindAliasAndTags(param, function(ret) {
					//alert('别名设置成功：'+'u_'+winduid);
				});
			}catch(e){

			}

			api.toast({msg: ret.msg, location: 'middle'});
			api.execScript({
				name: 'root',
				frameName: 'ucenter',
				script: 'render();'
			});
			api.closeWin();
			setTimeout(function(){
				//api.closeToWin({name:'ucenter-set-con'});
			}, 1000);
        }else{
			api.toast({msg: ret.msg, location: 'middle'});
        }
        api.hideProgress();
    })
}
function forgetPwd(){
    api.openWin({
        name: 'userForgetPwd',
        url: 'userForgetPwd.html',
        opaque: true,
        vScrollBarEnabled: false
    });
}
//微信登录
function wxLogin(){
	var wx = api.require('wx');
	wx.auth({
	    apiKey: ''
	}, function(ret, err){
		//alert('ret.status:'+ret.status+';ret.code:'+ret.code);
	    if(ret.status){
	        var wx = api.require('wx');
			wx.getToken({
			    apiKey: '',
			    apiSecret: '',
			    code: ret.code
			},function(ret, err){
			    if(ret.status){
					//alert('ret.accessToken:'+ret.accessToken);
					//alert('ret.openId:'+ret.openId);
			        var wx = api.require('wx');
					wx.getUserInfo({
					    accessToken: ret.accessToken,
					    openId: ret.openId
					}, function(ret,err){
						//alert('ret.status'+ret.status);
					    if(ret.status){
					        var unionid = ret.unionid;
					        var openid = ret.openid;
							var nickname = ret.nickname;
							//alert(nickname);
							var avatar = ret.headimgurl;
						    var param = {
						        unionid: unionid,
						        avatar: avatar //登陆时把头像更新一下
						    };
							//alert('unionid:'+unionid);
							api.showProgress({
								title: '正在登录',
								modal: false
							});
						    ajaxRequest(API_URL.wxLogin, 'post', param, function(ret, err){
						        if (ret.status == 0) { //登录成功
						        	var data = ret.data;
									var uid = data.uid;
									var username = data.username;
									var login_user = data.login_user;

									//cookie uid
						            $api.setStorage('uid', uid);
						            $api.setStorage('username', username);
									$api.setStorage('loginUser', login_user);

									//api.toast({msg: ret.msg, location: 'middle'});
									api.execScript({
										name: 'root',
										frameName: 'ucenter',
										script: 'render();'
									});
									api.closeWin();
						        }else{
									api.openFrame({
										name: 'userRegWx',
										url: 'userRegWx.html',
										pageParam: {unionid: unionid, openid: openid, nickname: nickname, avatar: avatar},
								        rect:{
								            x: 0,
								            y: headerPos.h,
								            w: 'auto',
								            h: 'auto'
								        },
								        bounces: false,
								        vScrollBarEnabled: false
									});
							    }
    						})
					    }else{
					        alert(err.code);
					    }
					});
			    }else{
			        alert(err.code);
			    }
			});
	    }else{
	        //alert(err.code);
			api.toast({msg: "取消登录或者登录失败", location: 'middle'});
	    }
	});
}
//QQ登录
function qqLogin(){
	var obj = api.require('qq');
	obj.login(function(ret,err){
		//alert('status:'+ret.status+';openId:'+ret.openId + ';accessToken:'+ret.accessToken);
		if(ret.status == true){
			var openid = ret.openId;
			obj.getUserInfo(function(ret,err) {
				if (ret.status) {
					var info = ret.info;
					var nickname = info.nickname;
					var avatar = info.figureurl_qq_2;
				    var param = {
				        openid: openid,
						avatar: avatar //登陆时把头像更新一下
				    };
					api.showProgress({
						title: '正在登录',
						modal: false
					});
				    ajaxRequest(API_URL.qqLogin, 'post', param, function(ret, err){
					    //alert(ret.status);
				        if (ret.status == 0) { //登录成功
				        	var data = ret.data;
							var uid = data.uid;
							var username = data.username;
							var login_user = data.login_user;

							//cookie uid
				            $api.setStorage('uid', uid);
				            $api.setStorage('username', username);
							$api.setStorage('loginUser', login_user);

							//api.toast({msg: ret.msg, location: 'middle'});
							api.execScript({
								name: 'root',
								frameName: 'ucenter',
								script: 'render();'
							});
							api.closeWin();
				        }else{
							api.openFrame({
								name: 'userRegQq',
								url: 'userRegQq.html',
								pageParam: {openid: openid, nickname: nickname, avatar: avatar},
						        rect:{
						            x: 0,
						            y: headerPos.h,
						            w: 'auto',
						            h: 'auto'
						        },
						        bounces: false,
						        vScrollBarEnabled: false
							});
					    }
					})
				}else{
					api.alert({msg:err.msg});
				}
			});
		}else{
			//alert(err.code);
			api.toast({msg: "取消登录或者登录失败", location: 'middle'});
		}
	});
}