var headerPos;
apiready = function(){
    headerPos = api.pageParam.headerPos;

    api.parseTapmode();

    var showThree = $api.getStorage('showThree');
    if(showThree == 1){
	    $('#J_login_3rd').css('display', 'block');
    }
};

function getCode(){
	var mobile = $api.byId('mobile').value;
	var param = {
		mobile: mobile,
	};

    ajaxRequest(API_URL.sms, 'get', param, function(ret, err){
        if (ret.status == 0) {
			api.toast({msg: ret.msg, location: 'middle'});
        } else {
            api.alert({
                msg: ret.msg
            });
        }
    })
}

function doSubmit(){
    api.showProgress({
        title: '正在提交注册...',
        modal: false
    });
    var username = $api.byId('username').value;
    var mobile = $api.byId('mobile').value;
    var code = $api.byId('code').value;
    var pass = $api.byId('pass').value;
    var repass = $api.byId('repass').value;

    var param = {
        username: username,
        mobile: mobile,
        code: code,
        pass: pass,
        repass: repass,
    };

    ajaxRequest(API_URL.doRegister, 'post', param, function(ret, err){
        if (ret.status == 0) {
        	var data = ret.data;
			var uid = data.uid;
            var login_user = data.login_user;

			//cookie uid
            $api.setStorage('uid', uid);
            $api.setStorage('username', username);
            $api.setStorage('loginUser', login_user);

			api.toast({msg: ret.msg, location: 'middle'});
			setTimeout(function(){
				api.execScript({
					name: 'root',
					frameName: 'ucenter',
					script: 'render();'
				});
				api.closeWin();
			}, 1000);
        } else {
            api.alert({
                msg: ret.msg
            });
        }
        api.hideProgress();
    })
}
function backLogin(){
    api.openWin({
        name: 'userLogin',
        url: 'userLogin.html',
        opaque: true,
        vScrollBarEnabled: false
    });
}
//微信登录
function wxLogin(){
	var wx = api.require('wx');
	wx.auth({
	    apiKey: ''
	}, function(ret, err){
		//alert('ret.status:'+ret.status+';ret.code:'+ret.code);
	    if(ret.status){
	        var wx = api.require('wx');
			wx.getToken({
			    apiKey: '',
			    apiSecret: '',
			    code: ret.code
			},function(ret, err){
			    if(ret.status){
					//alert('ret.accessToken:'+ret.accessToken);
					//alert('ret.openId:'+ret.openId);
			        var wx = api.require('wx');
					wx.getUserInfo({
					    accessToken: ret.accessToken,
					    openId: ret.openId
					}, function(ret,err){
						//alert('ret.status'+ret.status);
					    if(ret.status){
					        var unionid = ret.unionid;
					        var openid = ret.openid;
							var nickname = ret.nickname;
							//alert(nickname);
							var avatar = ret.headimgurl;
						    var param = {
						        unionid: unionid,
						        avatar: avatar, //登陆时把头像更新一下
						    }
							//alert('unionid:'+unionid);
						    ajaxRequest(API_URL.wxLogin, 'post', param, function(ret, err){
						        if (ret.status == 0) { //登录成功
						        	var data = ret.data;
									var uid = data.uid;
									var username = data.username;
                                    var login_user = data.login_user;

									//cookie uid
						            $api.setStorage('uid', uid);
						            $api.setStorage('username', username);
                                    $api.setStorage('loginUser', login_user);

									api.toast({msg: ret.msg, location: 'middle'});
									setTimeout(function(){
										api.execScript({
											name: 'root',
											frameName: 'ucenter',
											script: 'render();'
										});
										api.closeWin();
									}, 1000);
						        }else{
									api.openFrame({
										name: 'userRegWx',
										url: 'userRegWx.html',
										pageParam: {unionid: unionid, openid: openid, nickname: nickname, avatar: avatar},
								        rect:{
								            x: 0,
								            y: headerPos.h,
								            w: 'auto',
								            h: 'auto'
								        },
								        bounces: false,
								        vScrollBarEnabled: false
									});
							    }
    						})
					    }else{
					        alert(err.code);
					    }
					});
			    }else{
			        alert(err.code);
			    }
			});
	    }else{
	        //alert(err.code);
			api.toast({msg: "取消登录或者登录失败", location: 'middle'});
	    }
	});
}
//QQ登录
function qqLogin(){
	var obj = api.require('qq');
	obj.login(function(ret,err){
		//alert('status:'+ret.status+';openId:'+ret.openId + ';accessToken:'+ret.accessToken);
		if(ret.status == true){
			var openid = ret.openId;
			obj.getUserInfo(function(ret,err) {
				if (ret.status) {
					var info = ret.info;
					var nickname = info.nickname;
					var avatar = info.figureurl_qq_2;
				    var param = {
				        openid: openid,
						avatar: avatar, //登陆时把头像更新一下
				    }
				    ajaxRequest(API_URL.qqLogin, 'post', param, function(ret, err){
					    //alert(ret.status);
				        if (ret.status == 0) { //登录成功
				        	var data = ret.data;
							var uid = data.uid;
							var username = data.username;
                            var login_user = data.login_user;

							//cookie uid
				            $api.setStorage('uid', uid);
				            $api.setStorage('username', username);
                            $api.setStorage('loginUser', login_user);

							api.toast({msg: ret.msg, location: 'middle'});
							setTimeout(function(){
								api.execScript({
									name: 'root',
									frameName: 'ucenter',
									script: 'render();'
								});
								api.closeWin();
							}, 1000);
				        }else{
							api.openFrame({
								name: 'userRegQq',
								url: 'userRegQq.html',
								pageParam: {openid: openid, nickname: nickname, avatar: avatar},
						        rect:{
						            x: 0,
						            y: headerPos.h,
						            w: 'auto',
						            h: 'auto'
						        },
						        bounces: false,
						        vScrollBarEnabled: false
							});
					    }
					})
				}else{
					api.alert({msg:err.msg});
				}
			});
		}else{
			//alert(err.code);
			api.toast({msg: "取消登录或者登录失败", location: 'middle'});
		}
	});
}